Welcome to gmax Tutorials

Welcome to the gmax Tutorials

Welcome to the gmax tutorials. Get ready to have some BIG FUN!

Dude from Pepeland (Anibal)

If you like video games, you're going to love gmax. In these tutorials you can learn how to model and texture awesome characters, create wild, fantastic levels and generally have a blast and a half.

You'll learn to animate and what's better than that? Get good at this and then maybe you can get a sweet job with a games company. Or even better, don't get a job and make your own world instead. (OK, quick think: if you made your own world, would you make one where you had to work? )

Think about it, what would you do?

What You Will Learn

The gmax learning set is composed of nine different tutorials. You can do all of the tutorials or just the ones that interest you. If you do all the tutorials you will learn to model a level, a character, an airplane, and a game object ( a "power-charger"). You'll learn how to set up animation controls for the character and then animate him interacting with the power-charger.

Finding the Files

If you're reading this online, you've most likely already downloaded and installed the tutorials for gmax. Most of the tutorials will ask you to begin by loading a GMAX file. You can find these files in the subdirectories found under \gmax\tutorials. These files are installed when you run the file gmax_tutorials.exe, the free gmax tutorial download. These files do not install automatically when you install gmax itself.

If you can't find a file, trying searching for it using Windows Explorer or My Computer; you may have inadvertently installed the files to a different location.

Most of the tutorials will also give you incremental files to load along the way as you progress through the tutorial. You don't have to worry about getting stuck and not being able to finish a tutorial. These files are found in the same directories as the starting files.

Tutorial 1: Getting Started

Level: Total Beginner

In this tutorial, you explore the basics of working with gmax. You'll create a mace-like weapon, while you learn about primitive objects and AutoGrid. You'll also learn viewport navigation and other basics.

Tutorial 2: Making a Level

Level: Total Beginner

In this tutorial, you will create an outpost on the ice-planet Mongo. You will create a spiral staircase connecting three circular floors, around a tapered column. You will learn about primitive objects, Twist and Taper modifiers, as well as the Array tool. You'll create a terrain out of a plane object using a Noise modifier.

Tutorial 3: Modeling a Head

Level: Beginner

In this tutorial you will model the head of a character for a game. You'll use mirrored instanced halves with editable poly techniques. You'll use MeshSmooth to round the features.

Tutorial 4: Making a Power Charger

Level: Intermediate

In this tutorial, you will create a power charger that could be used in a game to energize the character. You will draw 2D splines and create 3D objects using extrusion, then you will learn to use editable polygon mesh modeling techniques such as cut, bevel, and extrude.

Tutorial 5: Making a Character

Level: Intermediate

In this tutorial, you will model a character. You'll learn to do editable polygon mesh modeling. You'll also learn the modeling techniques of using splines with surface modifiers. You won't create the whole character, but you'll do enough to learn the modeling techniques.

Tutorial 6: Rigging a Character

Level: Intermediate

In this tutorial, you will explore setting up bones to animate a continuous surface character. You'll add inverse kinematic controls to the bones, and you'll use the Skin modifier to deform the mesh.

Tutorial 7: Adding Materials and Mapping

Level: Beginner

In this tutorial, you will add materials to the power charger. You'll learn about creating materials with the gmax Material Editor , browsing for bitmaps with the Material Navigator, as well as adjusting textures with the UVW Mapping modifier.

Tutorial 8: Animating with gmax

Level: Beginner

In this tutorial, you will create some simple animation in the outpost level. You'll open the hatch of a missile silo, and launch a rocket. You'll animate the power charger and the character using inverse kinematic animation controls. You'll also animate a camera to follow the action in the scene.

Tutorial 9: Modeling an Airplane

Level: Beginner

In this tutorial you will create a model of the exterior of a Lockheed P38 Lightning fighter. You'll use viewport backgrounds to help create a warplane that closely resembles the actual aircraft. You'll use primitives and modifiers, as well as Editable Poly object modeling techniques.

In the words of an immortal animated character, That's All, Folks. Time to go and do some tutorials.


Copyrights and Trademarks

Copyright © 2001 Autodesk, Inc.

All Rights Reserved

This publication, or parts thereof, may not be reproduced in any form, by any method, for any purpose.

AUTODESK, INC. MAKES NO WARRANTY, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, REGARDING THESE MATERIALS AND MAKES SUCH MATERIALS AVAILABLE SOLELY ON AN "AS-IS" BASIS.

IN NO EVENT SHALL AUTODESK, INC. BE LIABLE TO ANYONE FOR SPECIAL, COLLATERAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES IN CONNECTION WITH OR ARISING OUT OF PURCHASE OR USE OF THESE MATERIALS. THE SOLE AND EXCLUSIVE LIABILITY TO AUTODESK, INC., REGARDLESS OF THE FORM OF ACTION, SHALL NOT EXCEED THE PURCHASE PRICE OF THE MATERIALS DESCRIBED HEREIN.

Autodesk, Inc. reserves the right to revise and improve its products as it sees fit. This publication describes the state of this product at the time of its publication, and may not reflect the product at all times in the future.

Autodesk Trademarks

The following are registered trademarks of Autodesk, Inc., in the USA and/or other countries: 3D Plan, 3D Props, 3D Studio, 3D Studio MAX, 3D Studio VIZ, 3DSurfer, ActiveShapes, ActiveShapes (logo), Actrix, ADE, ADI, Advanced Modeling Extension, AEC Authority (logo), AEC-X, AME, Animator Pro, Animator Studio, ATC, AUGI, AutoCAD, AutoCAD Data Extension, AutoCAD Development System, AutoCAD LT, AutoCAD Map, Autodesk, Autodesk Animator, Autodesk (logo), Autodesk MapGuide, Autodesk University, Autodesk View, Autodesk WalkThrough, Autodesk World, AutoLISP, AutoShade, AutoSketch, AutoSurf, AutoVision, Biped, bringing information down to earth, CAD Overlay, Character Studio, Design Companion, Design Your World, Design Your World (logo), Drafix, Education by Design, Generic, Generic 3D Drafting, Generic CADD, Generic Software, Geodyssey, Heidi, HOOPS, Hyperwire, Inside Track, Kinetix, MaterialSpec, Mechanical Desktop, Multimedia Explorer, NAAUG, ObjectARX, Office Series, Opus, PeopleTracker, Physique, Planix, Powered with Autodesk Technology, Powered with Autodesk Technology (logo), RadioRay, Rastation, Softdesk, Softdesk (logo), Solution 3000, Texture Universe, The AEC Authority, The Auto Architect, TinkerTech, VISION*, WHIP!, WHIP! (logo), Woodbourne, WorkCenter, and World-Creating Toolkit.

The following are trademarks of Autodesk, Inc., in the USA and/or other countries: 3D on the PC, 3ds max, ACAD, Advanced User Interface, AME Link, Animation Partner, Animation Player, Animation Pro Player, A Studio in Every Computer, ATLAST, Auto-Architect, AutoCAD Architectural Desktop, AutoCAD Architectural Desktop Learning Assistance, AutoCAD Learning Assistance, AutoCAD LT Learning Assistance, AutoCAD Simulator, AutoCAD SQL Extension, AutoCAD SQL Interface, Autodesk Animator Clips, Autodesk Animator Theatre, Autodesk Device Interface, Autodesk Inventor, Autodesk PhotoEDIT, Autodesk Software Developer's Kit, Autodesk Streamline, Autodesk View DwgX, AutoFlix, AutoSnap, AutoTrack, Built with ObjectARX (logo), ClearScale, Colour Warper, Combustion, Concept Studio, Content Explorer, cornerStone Toolkit, Dancing Baby (image), DesignCenter, Design Doctor, Designer's Toolkit, DesignProf, DesignServer, DWG Linking, DXF, Extending the Design Team, FLI, FLIC, GDX Driver, Generic 3D, gmax, gmax (logo), gmax ready (logo),Heads-up Design, Home Series, i-drop, Kinetix (logo), ObjectDBX, onscreen onair online, Ooga-Chaka, Photo Landscape, Photoscape, Plasma, Plugs and Sockets, PolarSnap, Pro Landscape, Reactor, Real-Time Roto, Render Queue, SchoolBox, Simply Smarter Diagramming, SketchTools, Sparks, Suddenly Everything Clicks, Supportdesk, The Dancing Baby, Transform Ideas Into Reality, Visual LISP, Visual Syllabus, VIZable, Volo, and Where Design Connects.

Discreet Logic Inc. Trademarks

The following are registered trademarks of Discreet Logic Inc., in the USA and/or Canada, and/or other countries: fire, flame, flint, flint RT, frost, glass, inferno, MountStone, riot, river, smoke, stone, stream, vapour, wire.

The following are trademarks of Discreet Logic Inc., in the USA, Canada, and/or other countries: backdraft, discreet, heatwave, jobnet, multi-master editing.

Third-Party Trademarks

All other brand names, product names, or trademarks belong to their respective holders.

Third-Party Software Program Credits

© 2000 Microsoft Corporation. All rights reserved.

Licensing Technology Copyright © Macrovision Corp. 1996-2001.

Portions Copyrighted © 2000 Intel Corporation.

Certain patents licensed from Viewpoint Corporation.

Portions developed by Lyric Media, Inc. for the exclusive use of Autodesk, Inc.

Portions of this software are based on the copyrighted work of the Independent JPEG Group.

Wise for Windows Installer © 2000 Wise Solutions, Inc. All rights reserved.

InstallShield™ Copyrighted © 2001 InstallShield Software Corporation. All rights reserved.

AnswerWorks® Copyright © 1997-2000 WexTech Systems, Inc. Portions of this software © Lernout & Hauspie, Inc. All rights reserved.

gmax contains Macromedia Flash™ Player software by Macromedia, Inc., Copyright © 1995-1999 Macromedia, Inc. All rights reserved. Macromedia and Flash are trademarks of Macromedia, Inc.

GOVERNMENT USE

Use, duplication, or disclosure by the U.S. Government is subject to restrictions as set forth in FAR 12.212 (Commercial Computer Software-Restricted Rights) and DFAR 227.7202 (Rights in Technical Data and Computer Software), as applicable.


Getting Started with gmax

In this tutorial you'll begin to explore the world of gmax.

You'll create some primitive objects and learn to move around in the viewports. You'll learn to move, rotate and scale the objects. You'll also learn how to access and change their parameters.

Finding the Files

Most of the tutorials ask you to begin by loading a starting file. You will find these files in the subdirectories under gmax\tutorials. These scene and map files are not installed as part of the basic gmax install. You get these files when you download and install gmax_tutorials.exe. If you can't find a file, trying searching for it using Windows Explorer or My Computer; you may have inadvertently installed the files to a different location.

In This Tutorial

Starting Out

Viewport Navigation

Selecting Objects and Creating Animation


Starting Out

First, you'll create a medieval weapon called a mace. In this lesson, you'll learn how to add objects and change their settings.

Start the program

  1. Start gmax by clicking its icon in Start menu > Programs > Discreet.

    This is the gmax user interface. By default, it consists of four viewports surrounded by various controls and icon-based command buttons. Because you're working with a three-dimensional scene on a monitor that can show only two dimensions, it helps to be able to view the scene from several different angles at the same time.

    When you first start gmax, the viewports show the scene (currently empty) from the top, left side, front, and a perspective view. The Perspective viewport gives you the most natural view of your scene, while the other, orthogonal viewports, are best suited for accurate setup.

    At the right side of the interface are the tabbed Command panels, with the Create panel shown by default. You can get detailed information about the gmax user interface and program functions in the online reference.

Create an object and change the display

  1. Move your cursor to the Create panel.

    The Create panel provides functions for adding 3D objects to your scene.

  2. Click the Sphere button.

    The button changes color to show it's activated.

  3. In the Perspective viewport, position your cursor over the center of the grid, then press and drag outward. A sphere grows in the viewport before your eyes. Release the mouse button at any point to set the radius of the sphere.

    Don't worry if your sphere is a different color than the one shown here. gmax assigns a random color to each new object. You'll learn how to change the color later in this lesson.

    Next, you'll learn how to change one of the sphere's settings, but first you'll need to modify the display in order to see the setting change take effect.

  4. In the upper-left corner of the Perspective viewport, right-click the "Perspective" label. A menu appears. Choose Edged Faces from the menu.

    Viewport right-click menu

    You can now see all the polygons that form the sphere. Edged Faces combines the wireframe display, normally visible in the orthogonal viewports, with the Smooth + Highlights display, the default for the Perspective viewport.

    Edged Faces display

Change a creation parameter

  1. On the Command panel, click the Modify tab.

    This opens the Modify panel, where you can use modifiers to make many different types of alterations to your objects.

    In gmax, the command panels are divided into sections called rollouts. A rollout is called that because if it's closed and you click its title, it rolls out, or expands. A non-expanded rollout has a + sign on the left side of its title.

  2. On the Modify panel, find the Parameters rollout; it's already expanded. Then find the Segments parameter, just below Radius, and use the spinner to change the Segments setting to 17.

    The spinner is the up/down-arrowhead control to the right of the numeric field labeled "Segments." You can click the down arrow to decrease the number of segments one at a time. Or, if you hold down the mouse button on the arrow, the segments automatically change successively.

    As a result of reducing the Segments setting, the sphere now contains fewer polygons. In general with 3D modeling, and particularly when creating game content, a lower polygon count results in improved speed.

    The sphere will serve as the basis for the mace head. Next you'll add spikes in the form of cones. You'll use a convenient gmax feature called AutoGrid that automatically aligns new objects with the surface you create them on.

Add more objects

  1. Reopen the Create panel, click Cone, and then turn on AutoGrid. Also, in the Parameters rollout, set Sides to 8.

    Because the spikes are relatively small, you can create them with a fairly low mesh resolution.

    AutoGrid turned on

  2. In the Perspective viewport, move the mouse cursor over the sphere.

    Attached to the cursor is a tripod whose angle changes with the movement of your cursor. The point of intersection of the tripod legs (axes) shows where the cone will be created, and the Z axis shows the orientation of the cone. Choose a point on the left side of the sphere.

    Note: Adding a cone is a three-step process. Each of the next three tutorial steps handles one phase of cone creation. You can abort the creation process at any time before completion by clicking the right mouse button.

  3. Press and drag to define the radius of the cone base. To set the radius, lift the mouse button.

    AutoGrid lets you build an object off another object's surface.

    Next you'll set the height of the cone.

  4. Move the mouse to the left to define the height, or length, of the cone. Click the button to set the height.

    Move and click to set the cone's height.

    Lastly, you'll set the cone's taper.

  5. Move the mouse upward until the cone comes to a point, and then click the mouse button again to set the taper and finish the cone.

    Move and click to set the cone's taper.

  6. Add 10 or so more spikes to the visible part of the sphere surface. Also add a handle in the form of a longer cone that's only slightly tapered.

    Add more spikes and a handle.

    When you're setting the height and taper, you might need to drag in different directions, depending on where you start the cone. No problem; just move the mouse in one direction, and if that's not right, reverse the direction.

    Don't worry about making all the spikes exactly the same size; this is just an exercise. You might even want to have fun with it by making different types of spikes using some of the other primitive objects available from the Create panel.

  7. In the Perspective viewport, right-click to finish adding cones.

Combine the objects into one

Currently, the mace is made up of a number of discrete objects. To conclude this lesson, you'll combine everything into a single mesh and change the color.

  1. Click the sphere in the viewport to select it, and then right-click the sphere.

    The quad menu appears. Quad menus give you handy access to a number of useful gmax program functions; the available choices depend on the context in which you right-click.

  2. In the Transform quadrant, move the mouse down to Convert To, and then over to Convert To Editable Mesh. Click to select that command.

    The Command panel switches to the Modify tab, and you can now see rollouts for the various Editable Mesh functions.

  3. In the Edit Geometry rollout, click the Attach List button.

    The Attach List dialog appears, with a list of all the other objects in the scene. The Attach functions let you combine several objects into one.

  4. In the dialog, near the lower-left corner, click the All button.

    All of the objects in the list become highlighted.

  5. Near the lower-right corner, click the Attach button.

    The dialog closes, and all the cones turn the same color as the sphere, to show they're now all part of the same object.

    Because a mace is usually made of metal, this object might look better if you give it a gray, metallic color.

  6. Right-click on the Perspective viewport label and turn off Edged Faces, if it is on.

    The metal will look better without Edged Faces on.

  7. Near the top of the Modify panel, click the color swatch to the right of the name Sphere01. In the Object Color dialog, click one of the gray boxes under Custom Colors, and then click OK.

    Click the color swatch and choose a gray color.

    Note: If you click in a viewport away from the mace, thus deselecting it, you might notice that the gray color is close to that of the viewport background, which makes it difficult to see the wireframe mesh in the orthogonal viewports. In such cases, you would usually assign a material that determines how the object looks in shaded viewports, and assign a different object color for the wireframe display.

Save your work

It's always a good idea to save your work as you progress.

  1. From the File menu choose Save. Give the file a name such as my_mace.gmax and click Save.

    Saving a file with Save stores everything in the scene to the file. The File menu also provides a Save Selected command, which saves only selected objects to the file.

    In the next lesson you'll learn how to manipulate the view of your scene.

Next

Viewport Navigation


Viewport Navigation

In this lesson you’ll learn how to pan, zoom, arc rotate and maximize a viewport. The viewports are a window into your 3D world. To get a better idea of how things look in 3D and to see the relationship between objects in space, it often helps to rotate, zoom and pan a view.

Note: In this lesson, and in the gmax documentation in general, the term "drag" means to press and hold the left mouse button (unless otherwise indicated) and then move the mouse.

Load a file

  1. Continue from the previous section, loading your file if necessary, or load the included file mace01.gmax. To load a file, from the menubar choose File > Open, then browse to gmax\tutorials directory.

  2. Click the mace object to select it.

Transform the viewport

  1. In the lower-right corner of the interface, in the navigation tools, click Pan.

  2. In the Perspective viewport, drag in different directions to pan the viewport.

    Tip: If you have a three-button mouse, you can pan at any time by holding down the middle button and dragging.

  3. In the lower-right corner, in the navigation tools, click Arc Rotate.

    Attached to this button is a three-button flyout (an icon-based pop-up menu) that lets you choose to rotate the view around the world origin (center), a selected object or a sub-object selection. You can see the flyout by pressing and holding the left mouse button. You choose an item from the flyout by dragging to the desired item and then releasing the mouse button.

    When you click Arc Rotate, a view-rotation "trackball" is displayed as a circle with handles at the quadrant points.

  4. In the Perspective viewport, drag in different directions to rotate the viewport.

    To slow down the rotation, hold the ALT key down while dragging.

    Tip: If you have a three-button mouse, you can rotate the view at any time by holding down the ALT key and the middle mouse button and dragging.

    If you like, go ahead and add more spikes to the other side of the mace head using the techniques you learned in the previous lesson.

  5. In the lower-right corner, in the navigation tools, click Zoom.

  6. In the Perspective viewport, drag up to zoom in and down to zoom out.

    Tip: With a wheel mouse you can zoom by spinning the wheel.

Change the viewport size and scale

You’ll often want to expand a viewport to do detail work.

  1. In the lower-right corner, in the navigation tools, click Min/Max Toggle.

    The Perspective viewport expands to fill the space previously occupied by all four viewports.

  2. Press the W key on the keyboard.

    The viewports return to the previous layout. Pressing W is the same as clicking Min/Max Toggle.

  3. In the navigation tools, click Zoom Extents.

    The mace fills the Perspective viewport. Zoom Extents is on a two-button flyout that lets you either zoom to the selected object or zoom to show all objects in the scene.

  4. Click Zoom Extents All.

    The mace fills all four viewports. The Perspective viewport remains unchanged because it was already zoomed.

  5. Click Zoom All.

    This is a manual zoom function, as opposed to the automatic Zoom Extents.

  6. Drag up and down in the Perspective viewport.

    All four views views zoom in and out.

    In the next lesson, you'll learn different methods for selecting objects, and the basics of animation.

Selecting Objects and Creating Animation


Selecting Objects and Creating Animation

This lesson begins by showing you several different ways to select and transform objects. You’ll then learn how to set up a simple animation.

Select objects

  1. Reset gmax (on the menubar choose File > Reset) and load the file mace02.gmax.

    This scene contains the mace you made in the first lesson and an additional floor object.

  2. In the Perspective viewport, click the mace object.

    Clicking an object is one way to select it.

  3. On the toolbar, click Select By Name.

    The Select By Name dialog gives you a variety of ways of selecting objects without having to click them in the viewport. This comes in particularly handy with complex scenes.

  4. In the Select Objects dialog, choose floor, and then click the Select button to close the dialog.

    The floor object is selected in the viewports, and the mace object is deselected.

    Tip: You can also open the Select By Name dialog by pressing the H key.

  5. From the Edit menu, choose Select Invert.

    The floor object is deselected and the mace object is selected. Sometimes it's easier to select what you don't want selected and then invert the selection.

  6. From the Edit menu, choose Select All.

    Both objects are selected.

  7. From the Edit menu, choose Select None.

    Both objects are deselected.

    Tip: You can also deselect all objects by clicking in an empty part of the active viewport. The active viewport is the one with a different-colored border.

  8. In the Perspective viewport, starting in an empty part of the viewport, drag a selection region that touches both objects.

    The selection region crosses the objects

    Both objects are selected because Crossing Selection (at the bottom of the interface) is active. This toggle button alternates between Crossing Selection and Window Selection.

    With Window Selection active, only objects fully enclosed within the selection region are selected.

  9. Deselect all objects.

Select and transform objects

In 3D graphics, the term "transform" means to move, rotate, or scale (resize) an object. The gmax main toolbar, situated just above the viewports, provides tools for these functions.

  1. On the main toolbar, click Select And Move.

  2. In the Perspective viewport, position the mouse cursor over the mace, and then drag to either side.

    Moving the mace

    When you click to begin the drag, the mace is immediately selected, and is then subject to being moved by dragging the mouse.

    Tip: To undo a transform before releasing the left mouse button, right-click. To undo a transform after it's finished, press CTRL+Z.

  3. On the main toolbar click the undo button to undo the move.

  4. Move the floor object, and then undo the move.

  5. On the main toolbar, click Select And Uniform Scale. Drag the mace upward and downward to change its size.

    Scaling the mace

  6. Undo the scaling.

    gmax offers two additional scaling modes, which you'll use in later tutorials, but to keep this tutorial short and sweet you'll move along to animation now.

Rotate and animate the mace

  1. On the main toolbar, click Select And Rotate.

    Creating animation in gmax is a simple matter of creating keyframes; the software automatically generates the in-between frames.

  2. In the animation controls, near the lower-right corner of the interface, click the Animate button to turn it on, and then set the current frame to 50. Click in the box that says 0, edit it to 50, and then press ENTER.

    Setting up for animation creation

    gmax is set up for 100 animation frames, so you're now halfway through the animation. This is graphically depicted in the position of the frame slider, just below the viewports. It's the short horizontal bar that currently reads "50/100."

    The frame slider

    Incidentally, 100 is just the default animation length; you can change it to any amount.

    In the next step, you'll use the Transform gizmo. This gmax feature helps you get predictable results, particularly when animating rotation. The Transform gizmo is the axis tripod that appears on a selected object when you have a transform command active. In the following illustration, it appears in the center of the mace head.

  3. In the Perspective viewport, position the mouse cursor over the red X axis (the axis turns yellow), and then drag downward so the mace rotates about a quarter turn.

    Setting a rotation key at frame 50

    If you don't see the Transform gizmo, click the mace first. Also, because this is just an exercise, don't worry about being too accurate; any amount of rotation will do.

    You've just created animation; you can test it right away.

  4. Drag the frame slider back and forth between frames 0 and 50 or so.

    The mace rotates between its original orientation at frame 0 and the new one at frame 50.

    The structure in which you're moving the frame slider is called the track bar. It includes the numeric scale that shows the frame count. Note the blue markers at frames 0 and 50, which indicate that both of these frames contain animation keys.

    Next, you'll create a final animation frame.

  5. Move the frame slider to frame 100.

    You can do this either by dragging the slider, or by clicking at the right end of the track bar (above the numeric scale).

  6. Rotate the mace clockwise on the Z axis about a quarter turn.

    Setting a rotation key at frame 100

  7. To play back the animation, click the Play Animation button in the animation controls. To cease playback, click the same button.

    Feel free to zoom, pan or arc-rotate around the viewport if the mace swings out of view and you want to improve the framing.

  8. Move the time slider back to frame 0, then turn off the Animate button.

    It's good to remember to turn off the Animate button, when you're not intentionally creating animation keyframes.

    The mace is animating, but it doesn't look quite right. Normally, when a mace rotates, it's because you're holding it in your hand and swinging it around, so the animation would probably look more normal if the center of rotation were near the end of the handle instead of the center of the head. gmax is using the current center of rotation because that's the default center of the sphere, to which you attached all the cones. You can easily move the center to a different location. You do this by adjusting the pivot.

  9. In the Command panel, click the Hierarchy tab. In the Adjust Pivot rollout, click Affect Pivot Only.

    Turn on Affect Pivot Only.

    You'll need to move the pivot in three dimensions. This is where the orthogonal viewports come in handy. By using a combination of viewports, it's easy to move an object to a precise location in 3D space.

  10. In the Top and Front viewports, use the Select And Move tool to position the pivot near the end of the mace. First, right-click the Top viewport to activate it, and then move the pivot in the Top viewport on the XY plane (use the Transform gizmo corner opposite the intersection of the X and Y axes). Next, right-click the Front viewport, and then move the pivot upward on the Y axis.

    Move the pivot first in the Top viewport, and then in the Front viewport.

    You might notice that the axis orientation changes when you switch viewports, which results in your using the Y axis both for horizontal and vertical movement. That's because, by default, gmax performs transforms using the View reference coordinate system, in which X and Y are always parallel to the viewport, and Z is always perpendicular. gmax lets you use any other coordinate system you like, including Local and World, for all transforms.

    As you spend more time with gmax, try using the other coordinate systems to see the differences. You can find more information on these in the gmax reference in the "Reference Coordinate System" topic.

  11. In the viewport navigation controls click Zoom Extents All.

  12. Right-click in the Perspective viewport, and then click the Play Animation button.

    The mace swings around from the proper location, ready to do serious damage to your virtual enemies.

    Because you moved the pivot, the animation isn't exactly the same as the one you set up, but you can modify it by moving the frame slider to the existing keys and changing the rotation; the new keys will override the old ones.


Making a Level

In this tutorial you will learn the basics of level design with gmax. You'll create an military outpost building and the hilly terrain it sits on. You'll use a variety of gmax primitives and modeling tools.

A futuristic outpost sits at a crossroads in a hilly terrain.

Note: This is a beginning-level tutorial. You need not have completed any of the other gmax tutorials in order to be able to undertake this one. However, if you've never used gmax before, we recommend you begin with Getting Started with gmax.

Finding the Files

Most of the tutorials ask you to begin by loading a starting file. You will find these files in the subdirectories under gmax\tutorials. These scene and map files are not installed as part of the basic gmax install. You get these files when you download and install gmax_tutorials.exe. If you can't find a file, trying searching for it using Windows Explorer or My Computer; you may have inadvertently installed the files to a different location.

In This Tutorial

Creating the Outpost Floors

Adding the Ramp

Adding the Central Assembly

Creating Terrain


Creating the Outpost Floors

The outpost building consists of three circular floors with a stylized central post. Surrounding each floor is a ring. To move between the floors, game characters can use a central spiral staircase or a ramp. First, you'll create the outpost basic structure: the floors.

Add a primitive

  1. Start or reset gmax.

    gmax offers several ways of creating objects, but one of the easiest is to start with the built-in primitive objects. Each primitive provides settings that let you control its size and shape, giving you a lot of flexibility in how to use it. For example, in the next few steps you'll create a Tube object that's very flat, so it resembles a disk with a central hole. You'll use this as the ground floor in the outpost. It will also serve as a template for the other floors, so you can put the stairway through the central holes.

    Another consideration is the method by which you add the primitive. The easiest way, after selecting the object type, is by a combination of mouse clicks and drag operations in a viewport. But level design is a type of architecture, which requires accurate measurement to keep things consistent. So instead of clicking and dragging to add the tube, you'll use gmax's "by-the-numbers" method.

  2. By default, gmax initially opens the Create panel with the Geometry category active. In the Object Type rollout, click the Tube button.

    Several new rollouts appear in the command panel, including the Keyboard Entry rollout, which is closed by default. This is indicated with a + sign at the left of the rollout heading.

  3. Click the Keyboard Entry rollout heading to open the rollout.

    The Keyboard Entry rollout lets you add an object at a specific location with exact dimensions. You'll create the ground floor at the center of the gmax world, so you can leave the X, Y, and Z items (the position in three dimensions) all at 0. But you will need to change the Radius and Height settings.

  4. Set Inner Radius to 35. Also change Outer Radius to 98, and set Height to 2.0.

    Tip: When changing settings from the keyboard, you can move forward through editable fields with the TAB key, and backward with SHIFT+TAB. When you use either of these, the entire contents of the next field are highlighted, so you can just type a new entry without deleting the old one. To make the last setting take effect, press TAB again, or press ENTER.

    The Tube object has additional settings you can change before or immediately after adding the new object, such as the number of sides. For this exercise, you'll leave these at their defaults.

  5. Make sure the Perspective viewport is active (outlined in a different color), and then click the Create button.

    Tip: To activate a viewport, click or right-click within its borders.

    Your new ground floor appears in the viewports.

Rename and add primitives

Next, you'll name the floor object.

  1. In the Name And Color rollout, change the text Tube01 to Floor01.

    Next, you'll add the surrounding ring for the ground floor.

  2. In the Object Type rollout, click the Torus button.

    A torus is a donut- or ring-shaped primitive.

  3. Open the Keyboard Entry rollout. Change the Major Radius setting to 125, and then click Create.

    The torus appears, perfectly centered around the Tube object.

  4. Change the name to Ring01.

    In the Perspective viewport, white brackets appear around the torus to indicate that it's selected, and ready to be acted upon in any of a variety of ways. These are called selection brackets.

Align objects

The two objects are now roughly aligned at their vertical centers. Because the ring and tube will sit on the ground, they should be aligned at their lowest points instead. To use the Align tool, you select one object, then the tool, then the second object. The torus is already selected, so you're ready to use the tool.

  1. On the main toolbar, click the Align button, and then click the Floor01 (Tube) object.

    The Align Selection dialog appears.

    Note that the name of the object in parentheses on the title bar of the dialog, (Floor01), is the second object you picked. That means that the ring (Current Object) will be aligned with the floor (Target Object), rather than vice-versa.

    Also note that the uppermost text in the dialog is Align Position (World), which means that the alignment uses the world axes. These axes are always visible in the lower-left corner of each viewport. In the World coordinate system, Z is the vertical axis.

  2. Turn on the Z Position check box, and then, in both the Current Object and Target Object groups, choose Minimum.

    The ring moves vertically so that its bottom is aligned with the bottom of the floor.

    Using both Minimum choices specifies that the Align tool will line up the lowest points (as measured on the world Z axis) of both objects. Changing the choices for the Current Object and Target Object gives you immediate feedback in the viewports, so feel free to experiment and observe the results. When finished, be sure to set both back to Minimum.

    The ring and floor are aligned at their lowest points.

  3. Click OK to close the dialog.

Move and clone objects

In the next few steps, you'll make two copies of the floor and ring to end up with a three-floor structure. In gmax it's easy to move and copy objects at the same time.

You'll start by selecting both objects. gmax gives you a variety of ways of selecting multiple objects, but because these are the only two objects in the scene, the easiest method is to select all objects.

  1. On the main toolbar, click the Select Object button.

  2. From the Edit menu, choose Select All.

    In the Perspective viewport, selection brackets appear around both objects.

    When you're moving objects upward, you generally get the best results using a viewport that shows the objects from the side. In this case, either the Left or Front viewport will do.

    First you'll activate the viewport.

  3. Right-click in either the Front or Left viewport.

    The viewport activates, as shown by the highlighted border.

    Note: As noted above, you can also activate a viewport by clicking in it with the left mouse button, but this can also change what's selected. To retain the current selection, use the right button.

    Before you proceed, take a look at the center of the two objects in the active viewport. Currently the viewports are using the View coordinate system, which is the default for manipulating objects in gmax. There's an axis tripod that shows their orientation in three dimensions, with a Y axis pointing upward, an X axis pointing to the side, and a Z axis pointing in and out (the latter might be difficult to see, but that's okay, because you won't be using it right now). You'll be moving the objects upward, along the Y axis.

    Both objects are selected.

    Also notice that the mouse cursor, when it's positioned over an object in any viewport, resembles a white + sign. That means that, at the moment, you can use it only to select objects.

  4. On the main toolbar, click the Select And Move button.

    In Select And Move mode, the Transform gizmo appears.

    The axis tripod in the viewport is called the Transform gizmo; you can use it to move objects along specific axes and within specific planes. (In 3D graphics, "transform" means to move, rotate, or scale objects.) When the mouse cursor is over an object, it resembles the symbol on the Select And Move button, to show that you can use the mouse to move objects.

    Before you actually move the object, you'll experience how easy it is to experiment with transforms in gmax.

  5. In the active viewport, position the cursor over the Y axis, click and hold the left button, and then drag upward, downward, and to either side. Don't let go of the mouse button until the next step.

    Because you're using the Transform gizmo, and started on the Y axis, you can move the objects only in the direction of that axis.

  6. Still holding the mouse button, and with the objects moved away from their starting point, click and release the right mouse button. Now you can let go of the left button.

    The objects move back to their starting point. You've just experienced gmax's instant undo feature. Any time you're transforming a selection (that is, moving, rotating, or scaling it) interactively, click the right mouse button to restore the selection to the way it was when you started.

    Next you'll perform the move + copy operation referred to above.

  7. Again position the mouse cursor over the Y axis, but before you press the button, press and hold the SHIFT key. Then press and hold the left mouse button, and drag upward about 60 units.

    You can see the units readout in the box labeled "Y" near the bottom of the screen. In this case, use it as a rough guideline; you needn't be highly precise.

    The Y distance need not be exactly 60.

    As you drag, a copy of each of the two objects is left behind.

  8. Release the mouse button.

    The Clone Options dialog appears. This lets you specify how many evenly spaced copies gmax will create as a result of the Shift-Move operation.

  9. Change Number Of Copies to 2 and then click OK.

  10. In the viewport navigation controls click Zoom Extents All

    The two new copies appear in the viewports.

  11. Save the scene as my_outpost01.gmax.

Adding the Ramp


Adding the Ramp

A significant aspect of modeling in gmax involves the use of modifiers. These let you deform geometry in many different ways, enabling the creation of a practically infinite number of variations on the basic primitives. To create a spiral ramp between the floors and rings, you'll add a Box primitive, and then apply and adjust a Twist modifier.

Add the Box primitive

You'll be manipulating the ramp so it fits properly with the existing structure, but you don't want to do anything to the structure. For that purpose, gmax offers a convenient function called Freeze, which lets you see but not manipulate part of the scene. You'll use one method to freeze the objects, and later you'll use a different method to unfreeze them.

  1. Start from the previous section, or load the file you saved from there, or load the file outpost01.gmax.

  2. Activate the Perspective viewport, if necessary, and then choose Edit menu > Select All.

  3. Click the Display panel tab.

    Since you'll be working within the structure, it helps to make it transparent as well.

  4. In the Display Properties rollout, turn on See-Through and turn off Show Frozen In Gray.

    Turn on See-Through and turn off Show Frozen In Gray.

    The objects become transparent and turn a uniform color.

  5. Expand the Freeze rollout and click Freeze Selected.

    You can no longer select the objects.

    The floor and ring objects are frozen and transparent.

    Now you're ready to begin work on the ramp; you'll start with a box.

  6. In the Create panel > Object Type rollout, click the Box button. Use the Keyboard Entry rollout to set Length=7, Width=14, and Height=130. Also, in the Parameters rollout, set Height Segs=40.

    Increasing the number of segments in the height gives the Twist modifier the additional mesh resolution it needs to deform the box.

  7. Click Create.

    The box appears in the center of the frozen floors structure.

  8. In the Perspective viewport, move the box in front of the structure so you can see it more easily. Use the Transform gizmo's Y axis.

    If you have difficulty doing this in the Perspective viewport, use the Top viewport instead, and then reactivate the Perspective viewport.

  9. For a better look at the box, use the Zoom Extents All Selected function. Near the lower-right corner of the interface, click and hold on the Zoom Extents All button until the flyout appears (see following illustration), drag to the Zoom Extents All Selected button, and then release the mouse button.

    Click and hold at 1 to open the flyout, then move to 2 and release.

    The viewports zoom and adjust to center the box.

Apply the Twist modifier

  1. On the command panel, click the Modify tab.

  2. Near the top of the panel, click the Modifier List drop-down, and from the Parametric Modifiers category, choose Twist.

    The software applies the Twist modifier to the box, but its appearance doesn't change because you haven't set up the modifier.

  3. In the Parameters rollout > Twist group, set Angle=487.

    Box object with Twist modifier

Adjust the modifier

The box is now twisted, but it can't serve as a ramp yet. To turn it into a ramp, you'll offset the modifier center from the bottom-center of the object.

  1. In the modifier stack display, under the Modifier List drop-down, click the + icon next to the Twist label to expand the sub-object hierarchy (the + changes to a -), and then click the Center label to highlight it.

    Like many modifiers, Twist has both Gizmo and Center sub-objects. A sub-object in gmax is simply part of an object or modifier that you can manipulate independent of the whole.

  2. On the main toolbar, turn on Select And Move, if necessary.

    The modifier center has a Transform gizmo, like any object.

  3. In the Perspective viewport, drag the corner opposite the intersection of the X and Y axes down and to the right.

    You can see this corner in the left-hand illustration below, where the white arrow (mouse cursor) is pointing. The red arrow shows the direction to drag.

    Moving the center and the end result

    That's quite a change: Moving the modifier center radically alters how the modifier deforms the box. You now have more of a ramp structure.

    Next, you'll position the ramp and adjust it so it fits between the floors and rings, and goes from the bottom to the top floor.

  4. In the modifier stack display, click Center again.

    The highlighting switches from the Center item to the Twist item, indicating that you're no longer at the sub-object level.

  5. Use Zoom Extents All to adjust the viewports so you can see everything.

  6. Use the Top viewport to move the ramp so the lower end is next to the ground floor.

    The ramp positioned and sized correctly from the top (left) and in Perspective view (right)

    Also use the Perspective viewport to make sure the bottom of the ramp is properly positioned.

    Tip: Use the Arc Rotate function to orbit the Perspective viewport. This will allow you to see the assembly from different angles.

  7. In the Top viewport, move the modifier center so the ramp fits snugly between the floors and the rings all the way around.

  8. Also, if necessary, return to the Box level in the modifier stack display and adjust the height so the top of the ramp is even with the top floor. If you like, you can also increase the Height Segs setting so the ramp curve is smoother. But bear in mind that this also increases scene complexity; when designing game levels, it's desirable to keep the geometry as simple as possible in order to maintain a high frame rate.

    Continue using Arc Rotate in the Perspective viewport to make sure everything fits together properly.

    Tip: For a shortcut to Arc Rotate using a three-button mouse, hold down the middle button and the ALT key and drag in the viewport.

  9. On the menubar choose Save As to save the scene as my_outpost02.gmax.

Adding the Central Assembly


Adding the Central Assembly

In this section you'll continue using primitives and modifiers as well as other tools to make a central column and spiral staircase for the outpost.

Create the central column

  1. Start from the previous section, or load the file you saved from there, or load the file outpost02.gmax.

    You'll add a cylinder for the center column. This time, instead of using the keyboard method, you'll create the primitive interactively.

  2. Go to the Create panel, click Cylinder, and in the Top viewport, click the center of the viewport, where the X and Y axes intersect, and drag outward a short distance. Release the mouse button, and then, watching any one of the other three viewports, move the mouse upward until the column protrudes a short distance from the top of the structure.

    Sometimes it's easier just to eyeball the creation of an object, and then adjust it afterwards. In the next two steps, you'll tweak the cylinder dimensions and position. Normally you'd do this in the Modify panel, but you can also use the Create panel to adjust an object immediately after adding it.

  3. In the Parameters rollout, set Radius=5 and height=150. Also set Height Segments=2.

    The latter setting gives you just enough resolution for changing the column's shape, keeping the number of polygons to an absolute minimum.

  4. On the main toolbar, click the Select And Move tool. Then, on the status bar, set X and Y=0.

    Tip: The easiest way to do this is to right-click each spinner.

    This centers the column in the outpost assembly.

    The outpost with the center column added

    Next, you'll apply a futuristic shape, something like an hourglass, to the center column with the Taper modifier.

  5. Go to the Modify panel, and from the Modifier List > Parametric Modifiers section, choose Taper.

  6. In the Parameters rollout > Taper group, increase the Amount setting to about 2.5.

    The top of the column increases in diameter, tapering down to the original size at the bottom.

    Next, you'll change how Taper deforms the column by moving the modifier center, as with Twist.

  7. In the modifier stack display, expand the Taper hierarchy, and then click Center.

  8. In the Front or Left viewport, move the modifier center (the Transform gizmo) upward to the approximate vertical center of the object.

    The taper effect now looks strange, squeezing the column too much near the bottom. You can remedy this by making the bottom half of the effect symmetrical with the top half.

  9. In the Taper Axis group, turn on Symmetry.

    The taper effect is now the same on the upper and lower halves of the column. If you like, you can change the top/bottom diameter with the Taper > Amount setting, and the overall diameter with the Cylinder > Radius setting. This is one of the many benefits of the gmax modifier stack, where you can go back and change any setting in the history of the modeling process.

Create the spiral staircase

Next, you'll create a spiral staircase by adding a Box primitive as the first stair step, and then using Array to multiply it in a spiral arrangement.

  1. Make sure the Perspective viewport is active, then go to the Create panel and click Box. In the Keyboard Entry rollout, set Length=20, Width=10, and Height=2. Click Create.

    The box appears inside the bottom of the column.

  2. In the Perspective viewport, zoom in to the bottom of the column. Use the Select And Move tool to move the box along the Y axis to the side of the column, just inside the floor's inner edge.

    For Array to easily generate a spiral staircase, you'll need to position the box's pivot point in the center of the column. Since you're centering everything around the coordinates (0, 0, 0), this is simple.

  3. Open the Command panel to the Hierarchy tab, and make sure the Pivot button is active. In the Adjust Pivot rollout > Move/Rotate/Scale group, click Affect Pivot Only. Then, on the status bar, set Y=0.

    The pivot point moves to the center of the column.

  4. Go to the Modify panel.

    This effectively exits adjustment of the pivot.

    Important: In the next few steps, you'll be using the Array tool, whose results depend on which viewport is active. Be sure the Perspective viewport is active before proceeding.

  5. On the main toolbar, click the Array tool.

    The Array dialog opens. This dialog lets you create copies of the selected object, applying combinations of successive transforms for a wide variety of effects.

    First take a look at the Array Dimensions group. You can choose one of three dimension settings here: 1D, 2D, or 3D. The default 1D setting, which you'll use here, produces a linear array, to which you can add dimensionality with the other Array dialog settings. In this case you'll apply Move and Rotate transforms to produce a spiral array of stair steps. You'll start be increasing the number of steps.

  6. Set 1D Count to 16.

    To best understand how the Array transforms work, change the settings one at a time. You'll start by looking at the Move setting, which lets you specify the position of each step in relation to its neighbor. You want the steps to go from the bottom floor of the structure to the top, so you'll set an incremental transformation on the Z axis.

  7. In the Array Transformation group, under Incremental, set Z=8.

    That means that each new step in the array will be created eight units higher than the previous one.

  8. Click OK.

    The software creates a stack of steps. Zoom in to the top step; it's just about at the same level as the top floor. But if you look at the steps near the center floor, they don't match up well.

    With 16 steps, none lines up properly with the second floor.

    Tip: To move the view in the Perspective viewport with a three-button mouse, hold down the center button and drag.

    You can take advantage of the Array tool's flexibility to adjust the positioning of intermediate steps without changing the outside dimensions of the array.

  9. Press CTRL+Z to undo, and then click the Array button again.

    The Array dialog remembers the previous settings.

  10. Look at the Z field under Totals. When you entered 8 as the Z-axis Move increment, gmax automatically calculated a total height of 128 units. Retain this height by clicking the > button to the right of Move.

    Click the > button to the right of Move.

    If you didn't do this, changing the Count setting would also change the total height.

  11. In the Array Dimensions group, set Count=15. Click OK.

    The steps now match the floor heights on all three levels.

    Next, you'll add a Rotate component to the Array settings, so the steps form a spiral.

  12. Again press CTRL+Z to undo, and then click the Array button.

    A spiral staircase, as viewed from above, can form a full circle, a half circle, or any fraction the architect likes. For this exercise, you'll first try a three-quarter circle.

  13. Click the > button to the right of Rotate, and under Totals, set Z=270 degrees. Click OK.

    The result is a nice spiral of steps around the center column. If you hadn't changed the pivot position earlier, the steps would go straight up, but they would be successively rotated about the vertical axis.

    Take a close look. The steps overlap, which is undesirable in a staircase. You can spread them out by increasing the total rotation.

  14. Undo and open the Array dialog again. Set Rotate > Totals > Z=360, and click OK.

    The spiral staircase

    There's still a bit of overlap, but it's better than before. Feel free to experiment with the number of steps and the Rotate setting to customize your outpost.

  15. Save the scene as my_outpost03.gmax.

Creating Terrain


Creating Terrain

To finish the exercise, you'll place the outpost at a crossroads in a hilly countryside. To make the terrain, you'll apply a Noise modifier to a Plane object. Among other things, this section will show you how to apply a modifier to part of an object.

Start the terrain

  1. Start from the previous section, or load the file you saved from there, or load the file outpost03.gmax.

  2. In the Top viewport, zoom out quite far, so the outpost is about half an inch in diameter.

    Tip: An easy way to zoom out in an active viewport with a wheel mouse is to position the mouse cursor at the center, and then roll the wheel towards you. And to zoom in, roll the wheel in the opposite direction.

  3. On the Create panel > Object Type rollout, click the Plane button.

  4. Dragging from corner to corner, add a plane that fills most of the Top viewport.

    The plane is automatically created on the construction plane, which, in the Top viewport, is the XY plane at Z=0. Thus, it sits at the exact same height as the bottom of the outpost structure.

  5. In the Parameters rollout, set Length Segs and Width Segs=40.

    As with Twist, the extra resolution is needed to give the modifier additional geometry to work with.

    In the next several steps, you'll select part of the geometry, apply a modifier to it, and then transform the geometry. To do this, you could convert the plane to an editable mesh or poly (polygon) object, but then you wouldn't be able to go back and change the resolution, if necessary. Instead, you'll use a modifier that lets you select part of the geometry and pass it up the stack to a another modifier. It also lets you edit the mesh as if you had converted it.

Edit the mesh

  1. In the Top viewport, right-click to exit Create mode.

    The plane is still selected.

  2. Go to the Modifier panel, and from the Modifier List > Mesh Editing category, choose Edit Mesh.

    The Edit and Select modifiers and other tools in gmax provide access to a range of geometry sub-object levels, including vertex, edge, and element. This feature gives you as much control as you need over the level of detail at which you edit an object.

  3. In the modifier stack display, expand the Edit Mesh hierarchy and click Polygon (you might have to scroll down to see it).

    The Polygon button at the top of the Parameters rollout is highlighted. You can also use this button to access the polygon sub-object level.

    Next, you'll select a column of polys in the plane object.

  4. In the Top viewport, position the mouse at the top of the plane object, about four or five columns left of center. Press and hold the mouse button, and then drag down and to the right, until you've selected a vertical path consisting of about 10 columns of polys.

  5. Position the mouse at the side of the plane object, about four or five columns above the center. Press and hold the CTRL key, and then the mouse button, and drag down and to the right, until you've selected a horizontal path consisting of about 10 rows of polys.

    Because you're using the CTRL key, the new selection is added to the existing one.

    You've just selected the polys that shouldn't be affected by the Noise modifier. These will become the road area, which you want to be flat. You'll remedy this by inverting the selection.

  6. From the Edit menu, choose Select Invert.

    The previously unselected polys are now selected, and vice-versa.

Apply the Noise modifier

You're now ready to apply the modifier.

  1. From the Modifier List > Parametric Modifiers category, choose Noise.

    The Noise modifier applies random displacement to the selected parts of the plane, simulating a hilly or bumpy surface. No change is apparent yet, because you still need to set up the modifier. Because you want the polys to be displaced vertically, you'll apply the noise on the Z axis.

  2. On the Parameters rollout > Strength group, set Z=500.

    The Noise modifier distorts only the polygons selected in the Edit modifier. This is the gmax modifier stack at work; selected sub-objects are passed up the stack to be modified without affecting the entire object.

    The hills are unnaturally pointy. You can correct this with the Scale setting, which determines how spread out the noise variations are.

  3. In the Noise group, click and hold on the Scale spinner control, and drag upward slowly. Stop at 500 or so.

    As you drag, the noise patterns expand outward from the center of the plane (actually, of the modifier) until they're much smoother.

  4. Try changing the Seed value.

    This setting lets you change the randomization of the noise, so that you can vary its effect among different objects if necessary.

Adjust the road height

There's one more adjustment to make. In the real world, roads of this sort are usually dug out of the surrounding hills, so they're lower than the hills. You can simulate this by moving the selected polys.

  1. In the modifier stack display, click the Edit Mesh item.

    The Polygon level is still active. But the plane has suddenly gone flat; you can't see the noise effect any more. That's because, when you move down the stack, by default gmax usually doesn't show the effects of higher modifiers, for simplicity's sake. You can, however, still see them if you want.

  2. In the row of buttons immediately below the modifier stack display, click the Show End Result On/Off Toggle.

    The hills reappear. The grid you see is the "before" state, showing the plane prior to being affected by the modifier.

    Because the "hills" part is selected, you'll move this upward, rather than moving the road areas downward. This also obviates moving the outpost to stay on the roadway.

  3. Right-click in the Perspective viewport to activate it without changing the selection. If you inadvertently left-click and lose the selection, get it back with Undo.

  4. Click the Select And Move button, and drag any of the Z axes of the Transform gizmos upward until the hills rise significantly above the road level.

    Lastly, you'll unfreeze the original parts of the outpost structure.

  5. In the modifier stack display, click the Noise item to exit the sub-object level of the Edit Mesh modifier.

  6. Right-click in the active viewport, and from the quad menu > Display quadrant, click Unfreeze All.

    The floors and rings can once again be manipulated, but they're still transparent.

  7. Select all objects, and in the Display panel > Display Properties rollout, click the See-Through check box twice.

    The first click makes all objects transparent, and the second returns them to their original colors.

    The final outpost level

  8. Save the scene as my_outpost04.gmax.

    You can compare your results with ours in the file outpost04.gmax.


Modeling a Head

In this tutorial, you’ll model a simple polygon head for a cartoony efl character. This type of modeling involves taking a polygon object and using tools in Editable Poly, like Cut and Extrude, to add details like ears. The MeshSmooth modifier is used to add detail to the model, and to make it more efficient.

After the model is complete, you’ll collapse the modifier stack to get rid of any modifiers that might present a problem for a game engine.

Note: This is an intermediate-level tutorial. Skills necessary to complete this tutorial include viewport navigation, selecting objects, and selecting sub-objects. If you've never used gmax before, we recommend you begin with Getting Started with gmax.

Finding the Files

Most of the tutorial topics ask you to begin by loading a starting file. You will find these files in the subdirectories under gmax\tutorials. These scene and map files are not installed as part of the basic gmax install. You get these files when you download and install gmax_tutorials.exe. If you can't find a file, try searching for it using Windows Explorer or My Computer; you might have inadvertently installed the files to a different location.

In This Tutorial

Starting the Head

Adding a Mouth

Adding the Eyes

Adding the Nose

Finishing the Head

Adding the Eye Balls


Starting the Head

In this lesson, you’ll load a basic object and start the process of adding detail.

Load a file

  • Load the file tutorial_head01.gmax.

    This is a basic head shape with two halves. From the Front view, the half on the left is an instanced mirror copy of the half on the right. The instanced copy on the left will reflect any editing you do to the original half on the right side. This way you only have to model half of the head, while viewing the whole head.

    The halves are not aligned perfectly on the center line. This makes it easier to model around the mirror plane. Later, you’ll delete the left half and make a mirrored copy that lines up exactly. The two halves will then be welded together.

    Instanced half used to create symmetry

Add a MeshSmooth modifier

  1. In the Front viewport, select the right half of the head.

  2. On the Modify panel, on the Modifier List, under Subdivision Surfaces, choose MeshSmooth.

  3. On the MeshSmooth modifier, on the Subdivision Amount rollout set, Iterations to 1.

    The model is smoothed.

    MeshSmooth subdivision increases smoothness.

Add the ear

  1. Maximize the Perspective viewport.

  2. On the modifier stack, choose Editable Poly.

  3. On the Selection rollout, click Edge.

  4. On the Edit Geometry rollout, click Cut.

  5. In the viewport, cut a new edge as illustrated below. Click the first edge, then move and click to set the end of the edge. Right-click to end the cut operation.

    Cut a new edge for the base of the ear.

  6. On the Selection rollout, click Polygon. Press F2 on the keyboard.

    While you work at the Polygon sub-object level, F2 is a shortcut for Shade Selected Faces. When Shade Selected Faces is on, selected polygons are shaded in red. This makes them easier to select, and easier to see.

  7. In the viewport, select the new polygon. This will serve as the basis for the ear.

    Shade Selected turns polygon red.

  8. On the Edit Geometry rollout, type 10 in the Extrusion field, and press ENTER.

    Over the next several steps you will extrude the ear polygon three times to create the ear.

    First extrusion

  9. On the Edit Geometry rollout, type 35 in the Extrusion field, and press ENTER.

    Second extrusion

  10. On the toolbar, click Select And Uniform Scale.

  11. Scale the selected ear polygon to 160 percent of its original size.

    On the status bar, the XYZ fields reads 160.

    Scale the polygons.

  12. On the Edit Geometry rollout, type 40 in the Extrusion field, and press ENTER.

    The ear polygon is extruded again.

    Next extrusion

  13. Scale the ear polygon down to 60 percent.

    On the status line, at the bottom of the user interface, the XYZ fields should read 60 before you release the mouse button.

  14. On the modifier stack, choose MeshSmooth.

    The model has a smoothed ear. Any time you want to check the effect of the MeshSmooth modifier, just click MeshSmooth in the modifier stack.

  15. On the modifier stack, click Editable Poly.

  16. Save your work.

Add an indent to the front of the ear

You’ll create some cuts on the front of the ear to add enough detail to create a shallow cavity. Either use your model from the previous steps or load tutorial_head02.gmax

  1. Select the right half of the head.

  2. On the modifier stack, select Editable Poly.

  3. On the Selection rollout, click Edge.

  4. On the Edit Geometry rollout, click Cut.

  5. Click the three edges on the front-top of the ear. Right-click to end the cut operation.

    Cut new edges in the top of the ear.

  6. Click the three edges on the front-bottom of the ear. Right-click to end the Cut operation.

    Cut new edges in the bottom of the ear.

  7. Cut between the two new edges to make the outer edge of the indentation.

    Tip: If you get spurious edges, just select and delete them.

    Cut one more edge.

  8. On the Selection rollout, click Vertex.

  9. On the toolbar, click Select And Move.

  10. Click the four vertices inside the ear and move them back 10 units along the Y axis.

    The ear is done, for now.

    Rough shape of the ear without MeshSmooth

  11. Save your work as myhead_with_ear.gmax.

Adding the Mouth


Adding the Mouth

Use your model from the previous steps or load tutorial_head03.gmax. To add the mouth, you’ll cut a new edge into the front of the face, chamfer a vertex, and then move the new vertices. You’ll extrude a polygon to create the interior of the mouth.

Add the mouth

  1. Select the half of the head on the right, then on the modifier stack, choose Editable Poly.

  2. On the Selection rollout, click Edge.

  3. On the Edit Geometry rollout, click Cut.

  4. On the front of the face, click the two edges where the mouth should be. Right-click to end the cut operation.

    Cut a new edge for the mouth.

  5. On the Selection rollout, click Vertex, and then select the mouth vertex.

  6. On the Edit Geometry rollout, type 12 in the Chamfer field, and press ENTER.

    The vertex is chamfered.

    Create an opening for the mouth.

  7. Move the vertex at the corner of the mouth 28 units along the X axis, and 18 units along the Y axis. Watch the Coordinate display in the status line as you move the vertex.

    Create the mouth corners.

  8. On the Selection rollout, click Polygon.

  9. Select the mouth polygon.

    Select this red polygon.

  10. On the Edit Geometry rollout, type –25 in the Extrusion field, and press ENTER.

    The mouth interior is formed.

    Negative extrusion makes the mouth.

  11. Select the polygon that divides the mouth and press DELETE to delete it.

    Delete the extra polygon.

  12. Right-click the viewport label and choose Views > Front from the pop-up menu that is displayed.

  13. Select the polygon at the back of the mouth, and move it to the right along the X axis, so it lines up to the centerline of the head geometry.

    Later, you’ll create a copy of the right half of the head and weld the vertices together at the mirror plane. Moving this polygon will facilitate the welding procedure.

    Select this red polygon.

    Move it so it looks like this.

Finish the mouth

  1. Press P on the keyboard to change to a Perspective view.

  2. On the Selection rollout, click Edge.

  3. Select the two edges that make up the border of the mouth.

    Select these red edges.

  4. On the Edit Geometry rollout, type 5 in the Chamfer field, and press ENTER.

    The lips are formed.

    Chamfered lips

  5. On the modifier stack, choose MeshSmooth.

    With Iterations set to 1 on the MeshSmooth modifier, the model is beginning to look like a face.

    The model with ears and mouth

Adding the Eyes


Adding the Eyes

Use your model from the previous steps or load tutorial_head04.gmax. To add the eye you’ll cut new edges into the front of the face and extrude a polygon to create the eye socket.

Create cuts in the face

  1. In the viewports, select the right half of the head. On the modifier stack, choose Editable Poly.

  2. On the Selection rollout, click Edge.

  3. Select the edge at the eye line.

    Select this red edge.

  4. On the Edit Geometry rollout, type 15 in the chamfer field, and press ENTER.

    Chamfer the edge.

  5. On the Edit Geometry rollout, click Cut.

  6. Make a vertical cut for the nose by clicking the three edges in turn, near the center of the face. Right-click to end the Cut operation.

    Make these two cuts for the nose.

  7. Create a cut on the right side of the eye by clicking the two edges above and below the eye.

    Cuts for the edges of the eyes

  8. Create a cut above the eye. This will become the top of the brow.

    Cut for the eyebrow

  9. Create cuts for the perimeter of the eye.

    Cuts to make a rough eye shape

  10. On the Edit Geometry rollout, click Divide.

  11. Click the middle of the edge that defines the top of the brow.

    Divide the brow edge.

  12. On the Selection rollout, click Vertex.

  13. Move the vertex at the top of the brow upward 11 units.

    Look at the status line at the bottom of the user interface to view the distance that the vertex moves.

  14. On the Selection rollout, click Edge.

  15. On the Geometry rollout, click Cut.

  16. Click the two vertical edges, by the nose area, to create the bridge of the nose. Right-click to end the Cut operation.

    Cut to make the bridge of the nose.

  17. On the Selection rollout, click Polygon.

  18. Select the eye polygon, and type –30 in the Extrusion field, and then press ENTER.

    Negative extrusion makes the eye socket.

  19. Select the brow polygon and type 5 in the Extrusion field, and then press ENTER.

    Positively extruded eyebrows

  20. Save your work to myhead01.gmax.

Adding the Nose


Adding the Nose

Use your model from the previous steps or load tutorial_head05.gmax. To create the nose, you’ll extrude and bevel polygons around the nose area.

Extrude and bevel polygons

  1. In the viewports, select the right half of the head. On the modifier stack, choose Editable Poly.

  2. On the Selection rollout, click Polygon.

  3. Select the nose polygon and then type 14 in the Extrusion field, and press ENTER.

    Extrude the nostrils.

  4. Change to a Front view.

  5. Move the tip of the nose polygon to the left, to align it to the mirror plane.

    Select this red polygon.

    Move it so it looks like this.

  6. Change to a Perspective viewport.

  7. Use Arc Rotate to view the inside of the nose.

  8. Select the polygon that divides the nose, and press DELETE to delete it.

    This polygon is not necessary, and would be in the way during the final process of welding the two halves of the head together.

    Delete the extra polygon.

  9. Rotate the view to see the nostrils.

  10. On the Edit Geometry rollout, click Bevel.

  11. Bevel the bottom polygon of the nose with the following values:

    • Extrusion=1

    • Outline=-3

      Creating a hole in the nose

  12. Bevel the same polygon with the following values:

    • Extrusion=-5

    • Outline=-1

      Finished nostril shape

  13. Save your work as myhead_with_nostrils.gmax.

Finishing the Head


Finishing the Head

Use your model from the previous steps or load tutorial_head06.gmax. Now you’ll put the finishing touches on the head and weld the two halves together to form a complete head.

Close the mouth

Normally you want the mouth in a relaxed, closed state. This is so that later, if you want the character to speak, you can create speech morph targets from a head that is neutral. From a neutral head all other morph targets for speech and expression are created.

In the following steps, if the grid is obstructing the view, right-click the viewport label and turn off Show Grid in the pop-up menu.

  1. In the viewports, select the right half of the head. On the modifier stack, choose Editable Poly.

  2. On the Selection rollout, click Vertex.

  3. On the toolbar, click Select And Move, if it’s not selected already.

  4. Select the two vertices in the middle of the upper lip and move them down –9 units along the Z axis, or until the upper lip is horizontal.

    Select these red vertices.

    Lower the vertices to lengthen the lip.

  5. Select the two vertices in the middle of the lower lip and move them up 10 units along the Z axis, or until the lower lip touches the upper lip.

    Close the mouth.

Add cheek bones

  1. On the Selection rollout, click Edge.

  2. Select the edge on the cheek.

    Select the red edge that starts at the nostril.

  3. On the Edit Geometry rollout, type 8 in the chamfer field, and press ENTER.

    Chamfer the edge.

Make the cheek bone higher

  1. On the Selection rollout, click Vertex.

  2. Select the three vertices that make up the cheekbone, and move them up 10 units along the Z axis.

    Lift the cheeks.

Add the neck

At this point you’ll work with the MeshSmooth modifier by modeling with the Show End Result button turned on.

  1. On the modifier stack, select the MeshSmooth modifier, and set Iterations to 1.

  2. On the modifier stack, choose Editable Poly.

  3. On the Modify panel, turn on Show End Result. The model displays with a control cage around it. You’ll use the vertices, faces, and edges on the control cage to shape the model.

    The original polygons form a control cage around the smoothed object.

  4. Use Arc Rotate to get a good view of the bottom of the head.

    View the bottom of the model.

  5. On the Selection rollout, click Edge.

  6. On the Edit Geometry rollout, turn on Cut.

  7. Click the five lattice edges at the bottom of the head to create the neck outline.

    The lines are displayed in yellow.

  8. On the Selection rollout, click Polygon.

  9. Select the four polygons that will form the neck.

    Polygons to extrude are red.

  10. On the Edit Geometry rollout, type 46 in the Extrusion field, and press ENTER.

    A neck is created.

  11. Press DELETE to delete the selected polygons. If that does no delete the polygons, press the DEL key.

    Now you’ll delete the unnecessary polygons on the other side of the neck.

    Selected polygons are deleted.

  12. Use Arc Rotate to view other side of the neck.

    The polygons on the inside of the neck must be deleted.

  13. On the Selection rollout, click Vertex.

  14. Region-select the vertices in the middle of the neck and press DELETE.

    Vertices in the middle of the neck are deleted.

    Polygons in the middle of the neck disappear.

  15. Switch to a Front view, region-select the vertices left over from the extrusion, and press DELETE.

    Stray vertices are deleted.

  16. Region-select the two vertices in the middle of the neck and move them, to the left, along the X axis to the mirror plane.

    Two neck vertices are moved to the mirror plane.

  17. Switch to a Perspective or User view, turn on Smooth And Highlights, and turn off Edged Faces.

    Now you’ll shape the head.

    The character now has a neck.

Shape the head

  1. On the Soft Selection rollout, turn on Use Soft Selection.

  2. In the Falloff field, type 115, and press ENTER.

  3. Select the vertex at the top of the head. Move the vertex down –24 units along the Z axis and 10 units along the Y axis.

    The top of the head moves down and back.

    Move the top of the head down and back.

  4. On the Soft Selection rollout, turn off Use Soft Selection.

    Now you’ll make the jaw line smaller.

  5. Select the two vertices around the jaw line and move them in –18 units along the X axis.

    Jaw line vertices are moved in.

  6. Select the two vertices at the corner of the mouth, and move them up 12 units along the Z axis.

    This gives the character a smile.

    Two vertices are moved up.

Move the chin forward

  • Select the vertex at the chin and move it forward –14 units along the Y axis.

    Chin vertex moved forward

Shape the back of the head

  • Select the two vertices on the back of the head, and move them up 38 units along the Z axis.

    Vertices at the back of the head are moved up.

    You should carry on and move vertices around to shape the head. Use Soft Selection to sculpt the shape of the head and ears.

    Move vertices to shape the head.

Mirror and weld

Continue from where you are, or load in the file tutorial_head07.gmax. Now you’ll weld the two halves together.

  1. In the viewports, select the right side of the head. On the Selection rollout, click Vertex to turn it off. If you loaded tutorial_head07.gmax, you won’t have to turn off vertex mode.

    This puts selection at the object level, so you can work on whole objects, rather than at the sub-object level.

  2. On the modifier stack, choose the MeshSmooth modifier, and then click Remove Modifier From The Stack.

  3. Change to a Front viewport, if necessary.

  4. Select the left half of the face, and press DELETE to delete it.

    Delete the left half of the head.

  5. Select the right half of the head.

  6. On the toolbar, click Mirror, and then on the Mirror dialog that is displayed, choose Copy.

  7. Use the Offset spinner to mirror the copy exactly on the center line. Click OK.

  8. On the Edit Geometry rollout, click Attach.

  9. Click the right half of the head to attach it to the left half. Right-click to end the attach operation.

    The head is now one object.

    Next you’ll weld the vertices on the mirror plane.

  10. On the Selection rollout, click Vertex.

  11. Select all the vertices on the mirror plane.

    Tip: To select vertices along the center line, use Window Selection. If you want to select them a few at a time, hold down the CTRL key while selecting to add to the selection.

    Select these vertices.

  12. On the Edit Geometry rollout, in the Weld group, type 5 in the field by the Selected button, and press ENTER.

  13. Click the Selected button.

    The vertices on the mirror plane within the weld threshold are welded together. This allows the system to smoothly shade the surface across the mirror plane.

  14. Change to a Perspective view.

  15. On the Modify panel, add MeshSmooth from the modifier list.

  16. On the MeshSmooth modifier, set Iterations to 1.

  17. On the modifier stack, choose the MeshSmooth modifier

  18. Right-click over the MeshSmooth modifier in the modifier stack, and choose Collapse All in the pop-up menu. Answer Yes in the warning dialog. Game engines will not accept modifiers, so it is a good idea to collapse the stack after using modifiers for modeling purposes.

    The model is nearly complete. Now you’ll added eyeballs, eyelids, and pupils.

    The head is complete.

  19. Save your work.

Adding the Eye Balls


Adding the Eye Balls

Use your model from the previous steps or load tutorial_head07b.gmax. The eyes are made of three spheres of different sizes. One sphere is used for the eyeball, one for the pupil, and one for the eyelid.

Add the eyes

  1. Switch to a Front view if necessary.

  2. To the right of the head, create a sphere with the following dimensions:

    • Radius=20

    • Segments=12

      The first sphere is the eyeball.

  3. On the toolbar, click Select and Scale.

  4. Hold the SHIFT key, and create a scaled copy of the sphere that is 10 percent larger that the original.

    Look at the status line while you scale. Release the mouse button when the XYZ values are 110. Click OK in the Clone Options dialog.

  5. On the Modify panel, set the Hemisphere value to .92.

    The second sphere is the pupil.

  6. Hold the SHIFT key, and create a scaled copy of the pupil sphere that is 10 percent larger than the pupil.

    Look at the status line while you scale. Mouse up when the XYZ values are 110.

  7. On the Modify panel, set Hemisphere to .5. Rotate the eyelid sphere along the X axis to “open” the eyelid.

    Tip: If the pupil is not visible, scale it up.

    Different materials are applied to the three spheres.

  8. Region-select the three spheres, and from the Group menu, choose Group.

  9. Move the eye into position inside the head. The eyes should protrude through the eye sockets.

  10. SHIFT-clone the eye to create the second eye.

    To view the completed head so far, load tutorial_head08.gmax.

Collapse the model

To finish the model you will again convert it to an Editable Poly object. This will remove the Meshsmooth modifier completely from the stack.

  • Select the head in the viewport, then right-click and choose Convert to > Convert to Editable Poly from the quad menu.

    Now you can continue pushing and pulling vertices to change the shape of the head, and give the character some more appeal. If you need extra detail try chamfering vertices and edges to quickly get extra points to work with. Try this to create the indent above the upper lip. You can also delete any edges that make the mesh too dense at this time.

    To view the completed head load tutorial_head10.gmax.

    Finished character head


Making a Power Charger

In this tutorial you will model a machine called a power charger. This machine jacks into the hero's back and re-energizes his weaponry.

Power charger and character

You will draw a simple 2D shape and extrude it, then use primitive objects and polygon modeling techniques to create the shapes and components of the power charger.

Pencil sketch and 3D model

The power charger is composed of several different parts. The power base consists of the left and right generator housings. Extending from the base is a power conduit which connects to a two-hole housing. Another power conduit with four struts joins the two-hole housing to a one-hole housing. A third conduit, again with struts, joins the one-hole housing to a no-hole housing that supports the turret and barrel assembly.

In the process of creating the power charger you will become familiar with some of the modeling tools and techniques available in gmax.

Note: This is an intermediate-level tutorial. Before starting it, you should at least complete the Getting Started tutorial. Also this is a complex and intricate exercise, it will take an extended period of time to complete.

Finding the Files

Most of the tutorials ask you to begin by loading a starting file. You will find these files in the subdirectories under gmax\tutorials. These scene and map files are not installed as part of the basic gmax install. You get these files when you download and install gmax_tutorials.exe. If you can't find a file, trying searching for it using Windows Explorer or My Computer; you may have inadvertently installed the files to a different location.

In This Tutorial

Drawing a Shape

Extruding the Shape in 3D

Creating the Generator Housings

Fine-tuning the Housings

Adding the Power Conduit

Cutting Holes in Objects

Finishing the Power Charger Model


Drawing a Shape

Load a starting file

  • On the File menu choose Open. Browse to tutorials\power_charge_modelr\gmaxtut_startbase.gmax and click OK.

    This scene uses two viewports: Top and Perspective. In the Perspective viewport you can see a black outline. This is the shape you are going to make. The Top viewport contains a background reference drawing of the model as conceived by the artist. You'll use the shape you make as a starting point to create the charger.

    Note: If you don't see the bitmap in the Top viewport, click the viewport to activate it, then press the Min/Max toggle twice. The viewport will expand and then return to its original size with the viewport displayed.

    Next, you will learn to draw lines and then draw the shape seen in the viewport.

Draw lines

Here you'll use the Line tool to draw a 2D shape and then create a 3D object from it. First you'll draw some practice lines and then undo them.

  1. Click the Perspective viewport to activate it.

    When a viewport is active, it displays a highlighted border.

  2. On the Create panel click the Shapes button, then in the Object Type rollout click the Line button.

    The Line button changes color, and if you move your cursor over the Perspective viewport,you'll see that a new cursor is displayed. This means you are ready to draw lines on the grid in the active viewport.

  3. There is a black shape in the Perspective Viewport. You can use this shape as a template to trace over.

    To start drawing straight lines, you simply click in the active viewport, and then move the mouse. Each successive move draws a straight line segment connected to the last, and each successive click places a vertex on the shape you are creating. All points of the line are placed on the active grid.

    To finish drawing a line, click the right mouse button.

    Tip: If this is the first time you've used gmax, draw some lines in the Perspective viewport. Experiment a little.

    Tip: While you are drawing a number of connected line segments, use the BACKSPACE key to remove line segments in the reverse order that you added them.

  4. While drawing lines, press S on the keyboard.

    This turns snap on and off. Snap forces the creation of new points to specific types of locations; it's currently set for grid points. You can turn snap on and off whenever you want during the line creation process. When Snap is active, the snap button is highlighted in the status bar beneath the viewports.

    You can also draw curved lines by dragging the mouse. In this tutorial, you'll use only straight lines.

  5. Press CTRL+Z repeatedly to undo or delete the lines you've created while experimenting.

    Now that you've learned to draw lines, you'll trace the shape to create the power base.

Trace the shape

  1. To trace the shape it will be easier if you change the viewport from Perspective to Top. Press T on the keyboard.

    The Perspective viewport is replaced with a new Top viewport.

  2. Use the Pan tool to center the view on the shape.

    Tip: You can also pan by dragging with the middle mouse button held down.

  3. You are going to draw the shape illustrated below. Don't worry, it doesn't have to be exact.

    Template shape

    Here is how to draw this shape:

    • Be sure Snap is off. If it's on, press S to turn it off. When you move your cursor with snap on, you'll see a blue box and the cursor will jump to the grid points.

    • Start at the bottom and click. Then draw to the left and click again.

    • Then draw about 45 degrees to the upper left and click.

      You now have two line segments in the shape.

    • Move up and to the left, as in the illustration, click again.

    • Move up and to the right, and click.

    • Move right and click again at the center line. Right-click to stop.

      The shape up to this point is still open.

Mirror and clone the shape

You've made an open shape; now you'll make a mirror copy of the shape to produce a symmetrical and closed shape. When you're making mechanical objects you often want to use symmetrical shapes.

  1. On the main toolbar, click the Mirror button.

    The Mirror: Screen Coordinates dialog appears.

  2. In the Clone Selection group, choose Copy.

  3. Move the copy until the shapes are lined up next to each other. You can use the Offset spinner to do this.

  4. Click OK.

    Shape cloned, mirrored, and offset

Attach the lines

Now there are two Line objects in the scene. You'll attach them so they are one object.

  1. On the command panel, click the Modify tab.

    This is sometimes called "going to the Modify panel."

  2. In the Geometry rollout, click Attach, and then click the shape on the left.

    Now the two shapes are both elements of one 2D object.

    The attached lines become one object.

  3. Turn off Attach.

Weld the vertices

The two lines are attached, but they're not connected at the vertices where they meet. There might be gaps between the center vertices, or they might overlap a bit. You can see this if you zoom up close and look.

Zoom in to see the gaps.

Next you'll weld the vertices together so the center vertices are combined into single points on the lines.

  1. In the Selection rollout, click the Vertex button.

    Vertex is a sub-object level of the Line object. For more about sub-objects, see the gmax Reference glossary.

  2. Select the Vertices in the center of the object by drawing a selection rectangle around all four center vertices.

    Left: Draw a selection rectangle (the dotted line). Right: The selected vertices that result

  3. In the Geometry rollout, locate the Weld button. Increase the Weld threshold spinner to 10, and then click Weld.

    The Transform gizmos (see gmax Reference: glossary) disappear and the gaps between the vertices are gone. Each pair of points has been replaced with a single vertex, unifying the two formerly separate halves.

    Welded vertices

  4. Click the Vertex button again to exit the sub-object level.

Extruding the Shape in 3D


Extruding the Shape in 3D

Continue from where you are or load gmaxtut_baseshape.gmax. If you load in this file, select the Line object in the viewport to continue.

Arc-rotate the viewport

You can rotate the viewport so you are no longer looking at the shape from the top.

  1. In the viewport navigation controls, click the Arc Rotate button.

    A view-rotation "trackball" is displayed as a circle with handles at the quadrant points. Drag the mouse on and around the trackball to produce different types of view rotations. The cursor changes to indicate what type of rotation you are about to perform.

    Viewport rotation trackball

  2. Position the mouse cursor inside the orb, and then drag the mouse. The viewport rotates, so you can see the shape lying slightly above the template shape.

    You'll notice this viewport is now labeled "User."

    Arc-rotated viewport

  3. Pan the viewport to center the view.

    The centered view

Extrude the shape into 3D

One way to turn a 2D line into a 3D shape is to use the Extrude modifier. A modifier starts with the object in its current state and layers an alteration on top. You add modifiers to the object and they are listed in its modifier stack.

  1. Select the object, if necessary.

  2. Near the top of the Modify panel, click the down arrow to the right of Modifier List.

    A long list of Modifiers appears.

  3. From the Mesh Editing category, click Extrude.

  4. In the Parameters rollout, use the spinner to increase the Amount setting. Set the extrusion amount to 30.

    The line is now a wireframe object in the viewport.

    Wireframe viewport rendering

  5. Right-click the User label at the upper-left corner of the viewport, and choose Smooth+Highlights from the right-click menu.

    Smooth+Highlights viewport rendering

    Your object might have a different color than the one illustrated here. That is because gmax normally assigns a random color to each new object.

    There are a number of ways to change the color of the object displayed in the viewport. You can simply change the color or you can use a material. In the next few steps you'll see how to do both.

Rename the object

It's a good idea to rename whatever you make to a name that is less generic than the gmax default.

  1. Find the Name field at the top of the command panel for the currently selected line object (just above Modifier List).

  2. Highlight the name and replace it with Line - Base Extrusion.

Change the color

  1. Click the square color box next to the object name. Change the object color to black by clicking the black swatch under Custom Colors, and then click OK.

    The object turns black in the viewport.

    .

    Change the color of the object.

    The color you've changed will be used for the wireframe color of the object in the viewport. Next you'll add a material to the object that will control the color for the faces of the object.

  2. On the main toolbar, click the Launch gmax Material Editor button.

  3. In the editor, click the New button, and in the Name field, name the new material Gray Block.

    New materials in gmax are colored gray by default.

  4. Click the Apply button to apply the gray material to the selected object.

    The object turns gray in the viewport.

  5. Click in an empty part of the viewport to deselect the object.

    The object now appears with gray faces and black wireframe.

    Gray material and black wireframe

  6. In the Material Editor, on the Diffuse Factors tab, click the Color box. In the Color Selector, change the gray color value to 50.

    The base changes to the darker gray right away. Changes you make to a material are applied automatically to objects that contain the material.

  7. Close the Material Editor by clicking the small X button in the upper-right corner of the dialog.

Save your work

  1. Choose File menu > Save As.

  2. Name your file myweaponbase.gmax.

Creating the Generator Housings


Creating the Generator Housings

Now you'll use some sculpting tools to begin to carve and shape the base.

Load the starting file

  1. Continue from the previous topic, or choose File > Open and browse to gmax\tutorials\gmaxtut_powerbase1.gmax.

  2. If you are continuing from before you can hide the frozen template shape. On the Display panel > Hide rollout, turn on Hide Frozen Objects.

  3. Also, if you are continuing from the previous section, activate the User viewport and then press P on the keyboard.

    The User viewport is changed into a Perspective viewport. This will let you model while seeing a more natural view.

  4. Press G on the keyboard to toggle the display of the grid, if your viewport doesn't match the following illustrations.

    Hit G whenever you want to see or hide the grid.

Convert to editable poly

You'll start by adjusting the extrusion amount, and then converting the object to an Editable Poly object. The latter step gives you access to polygon-modeling techniques.

  1. Select the object in the viewport.

  2. In the Modify panel, increase the extrusion Amount setting to 50.

  3. Right-click the object and from the quad menu choose Convert to > Convert To Editable Poly.

    The Modify panel now shows the editable poly parameters and tools. You no longer have access to the extrusion settings.

Scale the bottom polygon

  1. Rotate the viewport so you can see the bottom of the base.

  2. On the Selection rollout, click the Poly button.

  3. Select the bottom polygon.

    The outline turns red in the viewport.

  4. On the main toolbar, click the Scale button.

  5. Position the cursor over the selected polygon, and then drag upward to scale it up slightly.

  6. Use SHIFT+Z to undo the viewport rotation.

    You see the base from above again.

    Now it's starting to look like a good solid base.

Cut vertices to make new edges

The Cut tool lets you cut new edges between vertices and edges. This is a fundamental technique for adding extra surfaces for sculpting.

  1. In the modify panel, click the Vertex button, and then in the Edit Geometry rollout, click Cut.

  2. On the top of the polygon cut from one vertex to another as shown in the first illustration below. Click one vertex, then move the cursor and click the next vertex to create the cut. Right-click to stop cutting temporarily. Make a second cut across the top as shown in the second illustration. At the end of the second cut, right-click twice to exit Cut.

    Left: The first cut. Right: Both cuts

  3. Change the selection level to Edge, and again turn on Cut.

    The new edges are now red. When you use Cut Edge, you can cut anywhere on an edge.

  4. Make two cuts between the two new edges to create a new polygon on the top of the base.

    Next you'll select the new polygon you've cut in the top of the base and bevel and extrude it.

Bevel polygons

  1. In the Selection rollout, click the Polygon button.

  2. Press F2 on the keyboard to shade selected faces.

    This makes it easier to see a polygon when you select it.

  3. Select the new polygon you just created.

  4. Right click the polygon and, from the quad menu > Tools 2 quadrant, choose Bevel Polygon.

    Beveling interactively is a two-step operation. First you drag upward on the selection to extrude. Then you release the mouse button, and move the mouse to bevel; you're actually scaling the extruded polygon. Click to finish.

  5. Extrude the polygon up about 20 units (watch the Modify panel > Extrusion field as you drag). Bevel in about -2, just a small amount. Watch the Outline field as you move the cursor.

  6. Extrude the polygon a second time, about 50 units. Bevel again, about -2 units.

  7. Right-click the polygon and choose Rotate from the quad menu.

  8. Using the following illustration as a guide, rotate the top polygon in the Perspective viewport. Use the Transform gizmo to rotate the polygon about the X axis. Move your cursor over the X, and when it turns yellow, drag to rotate the polygon.

  9. Right-click and choose Move from the quad menu.

  10. Move the top polygon back and up to form a slope, again trying to match the following illustration (don't worry about being too precise). Use the Transform gizmo corner (opposite the intersection of the Y and Z axes) to move in the YZ plane.

  11. Use Arc Rotate to rotate the viewport all around to see the object from different angles.

    Tip:You can use the keyboard shortcut ALT+R or press the button in the viewport navigation controls.

  12. Select the two topmost vertices, and scale them together slightly to taper the shape.

  13. Select the next set of vertices down, as shown in the following illustration. Move those vertices outward, along the Y axis using the transform gizmo.

    Tip: When the Y turns yellow, you can move the vertices only along the Y axis.

    Select and move the red vertices.

    Tip: You can achieve the same result by moving the edge between the two vertices, at the Edge sub-object level.

Slice the object in half

Next you'll slice the object into two parts, deleting one half and replacing it in the viewport with an instance of the other side. That way any further sculpting you do will be repeated automatically in the instance. This cuts down your work and ensures the object will appear symmetrical.

  1. In the Selection rollout, click the Polygon button.

  2. Drag a selection rectangle around the entire object.

    All the polygons are selected in the viewport.

  3. In the Edit Geometry rollout of the modify panel, find and turn on Slice Plane.

    The slice plane appears in the viewport.

  4. Rotate the slice plane 90 degrees about the Y axis, so it is vertical. Watch the coordinate display near the bottom of the screen as you rotate the Slice plane

  5. When the Slice Plane is appropriately positioned, click the Slice button.

    Notice that the object has new edges following the slice plane.

    Rotate the slice plane, and then click Slice.

  6. Turn off Slice Plane.

  7. Arc Rotate the viewport so you are looking at the base directly from behind. Right-click in the viewport to exit Arc Rotate.

  8. Hold down the ALT key and drag a rectangular selection of the polygons on the right side of the cut.

    Tip: Start the selection rectangle outside the object.

    Also, if you don't succeed in selecting all the polygons, first make sure the Crossing Selection toggle, at the bottom of the interface, is active. That is, the button image depicted here should appear, not the highlighted Window Selection image. If the latter is true, click the button to return to Crossing Selection.

    The ALT key subtracts from the selection set.

  9. Press DELETE to remove the selected polygons. Click Yes to delete isolated vertices.

    Now half the object has disappeared.

  10. Use Arc Rotate to rotate the viewport around the object.

    You can see through the polygons when looking from the inside of the object. That's because, by default, gmax shades only the "outward" side of polygons. The visible side of a polygon is determined by the direction of its face normal, which you can specify. For detailed information on this topic, see the gmax online reference.

    Face normals makes see-through polygons .

  11. Rotate the viewport back so you can see the visible half of the base.

  12. Using the following illustration as a guide, select the uppermost edge and move it along the Z and Y axes. Don't move it along the X axis or you will disrupt the symmetry of the object.

  13. Again, following the illustration, select the next edge down and move it up along the Z axis as well.

    Select and move these edges.

  14. Go around to the other end and raise the middle edge, as shown in the following illustration.

    Select and move the red edge.

Make the instance

  1. Click Edge selection again to turn it off.

  2. On the main toolbar, click Mirror.

  3. In the Clone selection dialog that appears, choose Instance.

  4. Move the Mirror dialog so it is not obstructing your view of the object and the mirrored instance in the viewport.

    Mirrored instance

  5. Adjust the Offset spinner until the two objects are touching.

    Tip: To make the spinner go faster, hold CTRL as you drag.

    Offset closes the gap.

    The new object is named Line - Base Extrusion01.

Fine-tuning the Housings


Fine-tuning the Housings

Next, you will select and chamfer various edges to round the base, and then select and extrude polygons to create an indentation in the charger.

Load the starting file

  • Continue from the previous topic, or choose File > Open and browse to gmax\tutorials\gmaxtut_powerbase2.gmax.

Chamfer the edge

  1. Select the original Line - Base Extrusion object.

  2. Go to the Edge selection level and select all the edges illustrated; these make up the upper edge of the base of the charger. You might need to use Arc Rotate to move around the object to get all the edges. After selecting the first edge, hold down the CTRL key to add to the selection of edges.

    Select all these red edges

  3. When all the edges are selected,turn on Chamfer and drag in the viewport, or use the Chamfer spinner to affect the edges. Chamfer the edge about 10 units.

    Chamfered edges

Change the color

To make it easier to see the selected edges while working, you will lighten up the gray block material color.

  1. Open the Material Editor. Click Get to choose the material on the base.

  2. Click the color swatch and change the Value parameter to lighten the Gray Block color. Make it a lighter gray by setting the value to about 108.

Chamfer more edges

Next, you will chamfer more edges to continue rounding the generator housing.

  1. Select the edges shown in the illustration below. These make up the profile of the upper-front of the charger.

    Selected edges

  2. Turn on Chamfer, then position your cursor over a selected edge, and drag the mouse to chamfer.

    Tip: You can also chamfer using the spinner or by typing in the amount from the keyboard.

    Watch the edges chamfer on the instanced half.

    Chamfer the edges.

Create an inset

Now you will create an indented area at the front of the base.

  1. Go to the Poly level, and then select the two polygons shown in the following illustration.

    Select these red polygons.

  2. Extrude these polygons inward, about -10 units.

    Negative extrusion creates inset.

  3. Select the polygons illustrated below, left behind from the extrusion on the inner side of the base, and delete them. In the Delete Isolated Vertices dialog, answer Yes.

Round the base

  1. Select and chamfer the edges shown in red in the following illustration, along the outer top edge of the charger.

    Select these edges.

  2. Drag the mouse to chamfer by the amount shown in the following illustration.

    Chamfer to round the base.

    Next you'll weld some vertices together to straighten up the rear corner of the base.

Weld vertices

  1. Use Arc Rotate in the viewport so you can see the other side of the base.

  2. Select more edges at the other end. Select the edges shown red in the following illustration; these make up the rear corner of the charger.

    Select these edges

  3. Chamfer these edges to round the back of the generator housing.

    Chamfer more edges

Cut new edges

  1. In the Edit Geometry rollout, click Cut. Cut two new edges as shown in red in the illustration.

    Cut two new edge as shown in red

  2. Select the red edges between the new cuts.

    Select these red edges

  3. Delete these edges.

  4. In the Edit Geometry rollout, click Cut. Make four cuts across the front polygon, as pictured below. Turn off Cut when you're finished.

    Add four cuts to these edges.

  5. In the Selection rollout, change to Vertex sub-object selection level.

  6. Start by selecting the top vertex., and then on the Main toolbar, change the Reference Coordinate to Local.

    Notice the change in the transform gizmo.

  7. Move the top vertex along the Local X axis so it moves up along the plane of the back of the base.

  8. Move the vertices on the new edges, one at a time, to resemble the illustration below. Arc-Rotate the viewport to look at the vertices from the side to make sure the vertices haven't moved off the plane of the back of the base. Press SHIFT+Z to undo the viewport rotation..

    Reposition these vertices one at a time.

  9. Go to the Poly sub-object level. Select the two polygons outlined by the vertices you moved in the previous step (they form a rough semicircle), and then extrude them inward about -30.

    Negative extrusion creates an indentation.

  10. Select and delete the polygons that divide the extrusions.

    Now you have a hollow in the base.

    Remove the dividing polygons

    There is some overlap between the instance and the original object due to the extrusion. You'll fix that next.

  11. Zoom in and move the vertices one at a time so there is no overlapping in the base of the indentation.

    Tip: It might help to go to Back view (press K) and Wireframe viewport rendering.

Create another inset

Repeat the same process on the side (as shown) to create another indentation in the base.

  1. Make the first cut across two edges.

    Cut two edges at once.

  2. Make a second cut parallel to the first.

    Add a second parallel cut.

  3. Select the middle edge and move it upward.

    Lift up this red edg.

  4. Make another cut between the new edges.

    Add a cut parallel to lifted edge.

  5. Go to Vertex level and move the two new vertices created by the cut to resemble the hexagonal shape shown in the illustration. Then select the two polygons.

    Select these two red polygons.

  6. Bevel the polygons inward. Make the extrusion fairly shallow, about -10 units.

    Negative bevel and extrusion

  7. Hold down the CTRL key and add the new interior bevel faces to the selected polygons, then move the inset upward, as shown.

    Raise the inset up.

Cut from vertex to edge

You'll use Cut to add detail.

  1. Click Edge selection, and then turn on Cut.

  2. Make a cut as shown in this illustration.

    Cut to add this red edge.

Weld vertices

You'll use Cut again on the back side, and then combine the two new corner vertices into one using Weld.

  1. Cut another edge along the back of the base, as shown by the dotted line in this illustration.

  2. Go to the Vertex sub-object selection level, and then drag a selection window to include the ends of the two edges. All the vertices within the selection window turn red.

    Select the red vertices.

  3. In the Weld group, increase the Weld Selected threshold (the field next to the Selected button) to 10, then click Selected. If the selected vertices are not within the threshold, nothing will happen, except for an error message. If this happens, increase the threshold, and click Selected again.

Save your work

  • It has been a while since you've saved your work, so choose File > Save As and save your scene as mypowerbase1.gmax.

Complete the power base

As you can tell, it is a complicated and time-consuming process to build a model of a weapon using polygon modeling. To create the intended power generator housing, you need to repeat these techniques of cutting, beveling and extruding, and then moving vertices and edges, over and over again.

You can repeat these steps and techniques to make your own version of the base. But rather than ask you to go through all of these steps now, we'll just give you a quick overview of the remaining steps. You can try them yourself, or simply go to the next procedure and unhide the finished powerbase, which is currently hidden from view.

In the following illustrations we add an inset by cutting many extra edges, then select polygons and give them a shallow negative extrusion and a wider outline.

Select these red polygons.

Bevel an inset.

You can select polygons around the corner and use a positive extrusion and negative bevel outline.

Select polygons around a corner.

Extrude selected polygons to create a corner blister.

You can extrude and bevel a plate on the sloped top of the power base.

Create a top plate.

Cut three new edges in that plate, then reposition the edges and vertices to round the top.

Round the top plate by lifting edges.

Unhide the finished model

  1. Drag a selection rectangle around the two objects in the viewport to select them.

  2. Click the Display tab of the Command panel. In the Hide rollout, click Hide Selected.

  3. Now choose Unhide by Name. Hold down CTRL and choose Generator Housing Left and Generator Housing Right Instance.

    Completed model of power charger base unit

  4. If you like, you can unhide half of your model and half of the completed model as a template to help you shape your own work.

    Unhide right half as a template.

Adding the Power Conduit


Adding the Power Conduit

In this exercise you will add a primitive object: a cylinder to create a power conduit. You'll rotate it and then move it into place in the base.

Open a starting file

  • From the File menu, choose Open and browse to gmax\tutorials\powerbase4.gmax.

    This file has a different viewport configuration, with four visible viewports instead of two.

Enlarge the viewport

  1. Click anywhere in the Left viewport to activate it.

    The viewport outline changes color to show it has been activated.

  2. Position the mouse cursor over the divider bar at the top of the Left viewport, so it becomes a vertical two-headed arrow. Move it upward so the Perspective viewport becomes smaller.

    The Left viewport is now larger and ready for your work.

Create a cylinder

You're creating a power conduit from a Cylinder primitive.

  1. On the Create panel, go to the Geometry section, and then in the Object Type rollout, click the Cylinder button.

    Now gmax is ready to create a cylinder, wherever you want.

  2. Drag the mouse to the left of the generator housing to define the radius of the cylinder. Any radius will do; you'll set the proper size in a bit. Release the mouse button.

  3. Now, move the mouse to define the height of the cylinder; again, any height will do for the moment. Click to set the height.

  4. In the Create panel > Parameters rollout, set Radius=36 and Height=40.

Transform the cylinder

  1. Right-click to end the cylinder creation, then right-click the object to access the quad menu.

  2. From the Transform quad choose Rotate.

  3. Press the = key on the keyboard to increase the size of the Transform gizmo.

  4. Move your mouse over the Y axis; when it turns yellow, drag to rotate the cylinder. Watch in the coordinate display in the status bar near the bottom of the screen as you drag. When Y gets to -90, release the mouse button.

    Now the cylinder is pointing away from the power base.

    Cylinder from the side

  5. Rotate about the Z axis -35 degrees.

    Note: You can see only the blue tip of the Transform gizmo Z axis, but you can still use it for rotation.

    Rotated cylinder

  6. Right-click, and from the Transform quadrant, choose Move.

  7. Use the corner gizmo to move the cylinder along the XY plane. Position it so the pivot point is inside the indented socket in the power base, as shown in the following illustration.

    Position the cylinder like this.

  8. Right-click the viewport label, and change the viewport shading from Wireframe to Smooth+Highlights. Also turn on Edged Faces, if it isn't on already.

  9. Name the cylinder Power Conduit - Base.

  10. Rotate the viewport so you can see how the cylinder fits in the socket.

  11. Go to the Modify panel, and in the Parameters rollout, set Height Segments=1 and Sides=10.

    Keeping geometry simple is an important aspect of designing game art.

Move in the local coordinate system

Now that the cylinder is rotated you can choose to move it along its own rotated local axis. This is handy when objects have been aligned to other object surfaces.

  1. On the main toolbar, click the Move button.

  2. Also on the main toolbar, click the Reference Coordinate System drop-drown, which currently displays "View," and choose Local.

    Tip: The Reference Coordinate System list name doesn't appear in the user interface, but you can see it in the tool tip that appears if you hold the mouse cursor over the list for a moment.

    Tooltip shows the name

    The Transform gizmo arrows in the viewport change.

    Transform gizmo arrows aligned to local axes

  3. Move the power conduit up along the local Y axis.

    Tip: Choose the transform first, then the reference coordinate system. Each transform (move, rotate or scale) can use a different system.

  4. Right-click and convert the cylinder to an Editable Poly, then bevel and extrude the cylinder cap to create a more interesting conduit. Repeat the techniques you already know for bevel and extrude.

    Tip: Or you can hide your conduit and unhide the object named Cylinder 1.

    Finished power conduit

  5. Save your work as mypowerbase5.gmax.

    Next you will make the two-hole housing. You will learn to cut holes in geometry using the Boolean compound object while you make this next part of the charger.

Change the conduit material

Next, you'll apply the Gray Block material to the cylinder.

  1. On the main toolbar, click the Material Navigator button.

  2. In the browser dialog, choose Browse From > Scene > Entire, if necessary.

  3. Drag the Gray Block material to the cylinder in the viewport.

    Now the power conduit looks like it is made of the same material as the powerbase.

Cutting Holes in Objects


Cutting Holes in Objects

You can combine multiple primitive objects together in a compound object. In this exercise, you will use two cylinders to cut out holes when you model the two-hole housing.

Open a starting file

  • Choose File > Open and choose powerbase7.gmax.

Create primitives with AutoGrid

You can build primitive objects directly on the surface of another object with the AutoGrid feature. Here you will create the cylinders directly on the side of the housing.

  1. On the Create panel, in the Object Type rollout, click Cylinder.

  2. In the same rollout, turn on AutoGrid.

    Before you proceed, examine the illustration below to see what you'll be creating

  3. In the Left viewport, drag to create the radius of a cylinder near the rounded back corner. When you release the mouse button, you will then set the height. Drag downward so the Height setting is a positive number.

  4. In the Parameters rollout, set Height Segments to 1, if necessary, and Sides to 10.

  5. Create another, smaller cylinder near the lower right of the housing. Again, drag downward so the cylinder has a positive height.

  6. Right-click to finish adding cylinders.

  7. Hold down the CTRL key and click the first cylinder.

    Both cylinders should now be selected.

  8. On the main toolbar, click the Move button and change the reference coordinate system to Local.

  9. Move the two cylinders so they intersect the housing.

    They should just be sticking up a little bit.

    Position the two cylinders so they protrude like this

Create the Boolean compound object

You can use the Boolean compound object to cut holes in other objects.

  1. Select the housing.

  2. In the Create panel, to the right of Standard Primitives, click the down arrow and choose Compound Objects from the list.

  3. In the Object Type rollout, click Boolean.

  4. In the Pick Boolean rollout, click Pick Operand B. Then click the larger cylinder in the viewport.

    The cylinder disappears and a hole appears in the housing.

    Hole created through Boolean subtraction

  5. Click the Boolean button again (even though it's already highlighted).

    This "sets" the first subtraction.

  6. Click Pick Operand B again, and this time click the smaller cylinder.

    Subtract the second cylinder to create another hole.

    The cylinder disappears and a second hole has been cut in the housing.

    Tip: You can pick each operand in the modifier stack and make changes to it to move the position or depth of the holes.

  7. Hide your work and unhide Two-hole housing-left and Two-hole housing-right. The finished model of the two-hole housing appears.

    Next you will make another power conduit and some struts.

Finishing the Power Charger Model


Finishing the Power Charger Model

You'll complete the power charger using versions of methods you learned earlier in the tutorial, but you'll also learn a new technique that lets you create a new object based on an existing object's position and orientation.

Open a Starting File

  • Continue from before or open powerbase8.gmax.

Clone the Conduit

  1. Click to select the Power Conduit - base object in the viewport.

  2. Right- click and choose Rotate from the Transform quadrant.

  3. If necessary, press the = key to enlarge the Transform gizmo.

    You'll clone the object as you rotate it.

  4. Hold down the SHIFT key and then rotate the object about the X axis by 90 degrees.

    Watch the coordinate display in the status bar as you rotate the object.

  5. In the Clone Options dialog, make sure Copy is chosen, name the object Power Conduit - midlink. Click OK.

  6. On the main toolbar, click the Select and Move button, and then make sure the reference coordinate system is set to Local.

  7. Position the clone so it is between the four strut landings (the flat planes on the top of the two-hole housing). First move it in the YZ plane, then on the X axis.

  8. Use Arc Rotate to rotate the viewport so you can see the new position from another angle.

    Move in local YZ plane.

    Move on local X axis.

    Rotate the view.

  9. Zoom in and position the clone so it intersects with the two-hole housing.

    Position the clone like this.

  10. On the main toolbar, click and hold on the Scale button to show the Select and Scale flyout. Choose Non-Uniform Scale (when the dialog appears, click Yes), and then set the reference coordinate system to Local.

    Choose local coordinate system.

  11. Scale the conduit along the local Z axis to shorten it.

Create a Strut

You can use the same technique to make the struts.

  1. Hold down the SHIFT key and then use Select and Non-Uniform Scale in the Local Z Axis so the clone (Copy) is taller than the conduit. Name the object powerstrut.

  2. Use the corner gizmo to select the XY plane and scale the object named powerstrut so it has a narrow radius.

    Non-Uniform scale to narrow the radius.

  3. Move the powerstrut so it is positioned directly over one of the strut landings.

    Position the powerstrut object like this.

Instance the other struts

You'll employ a neat trick now, by choosing the reference coordinate system of the two-hole housing to clone the other struts.

  1. Make sure the Move tool is still active, and then from the Reference Coordinate System list, choose Pick. Then click either side of the two-hole housing in the viewport.

    The name of the object you have selected (either Two-hole housing-left or Two-hole housing-right) appears in the Reference Coordinate System field.

  2. Now use Shift-Move to position a clone of the strut object to the other side of the two-hole housing. In the Clone Options group, choose Instance.

    Moving in another object's coordinate system

    Since you are in the coordinate system of the housing, the new strut aligns easily.

  3. Hold down the CTRL key and click the original strut. Now, with the two struts selected, use Shift-Move again to create the two back struts. Again, in the Clone Options group, choose Instance.

    The strut instances

  4. Select and Non-Uniform Scale the struts along the Z axis using the Line 01 coordinate system. Scale them so they just slightly taller than the power conduit.

Unhide more components

  1. Unhide Box03 and Box04 to display the one-hole housing.

  2. Unhide Box01 and Box05 to display the no-hole housing.

  3. Unhide Cylinders 7 - 13 to display the upper power conduit and the additional struts.

    These parts were all made with techniques you have already learned.

Create the turret and barrel

You're almost finished creating the power charger. All that remains is to model the turret and barrel.

  1. Rotate your viewport so you can see the front of the no-hole housing.

    Starting viewport looks like this

  2. On the Create panel, choose Sphere from the Object Type rollout.

  3. Turn on AutoGrid.

  4. Create a sphere at the front of the no-hole housing.

  5. In the Parameters rollout, turn on Base To Pivot.

    This moves the base of the sphere to its pivot point, which is normally in the center. That way the sphere is fully visible when using AutoGrid.

  6. Set Hemisphere to 0.5. Use the spinner and watch in the viewport.

  7. Set Radius to 40 units.

  8. Set Segments to 15.

    Create a hemisphere for the turret.

    There are many objects in the viewport now, so it's getting difficult to see what's going on. Next, you'll use the Isolate function to make modeling the barrel easier.

Isolate the turret

  • With the sphere selected, from the Tools menu choose Isolate.

    All the objects in the scene are hidden except for the turret.

    Tip: If you still see the original Start Shape object, go to Display panel > Hide rollout and turn on Hide Frozen Objects.

Model in Isolate mode

  1. Right-click the hemisphere and choose Convert to > Convert to Editable Poly.

  2. If necessary, rotate the view until you can see the top of the hemisphere.

  3. On the main toolbar, from the Region Selection flyout, choose Circular Selection Region.

  4. In the modifier stack, expand Editable Poly and click Polygon.

  5. In the Selection Rollout, turn on Ignore Backfacing.

    Tip: This step is important. If you don't turn on Ignore Backfacing, you'll be selecting more polygons than you need.

  6. Starting at the center, drag a selection circle to select the top two rings of polygons at the top of the hemisphere. You need only drag outside the innermost circle of polygons to pick up both rings.

    Drag a selection circle within the second ring of polygons.

    Result: all these polygons are selected

  7. Flatten the top of the hemisphere by non-uniform scaling the faces along the local Z axis.

  8. Once the faces are flat, move the polygons back toward the hemisphere.

    Scale on Z axis to flatten polygons.

  9. On the main toolbar, click the Select Object button, and then select only the inner circle of polygons, by dragging a circle. Once you've selected these polygons, extrude them, and then bevel and extrude a few times to create the charger gun barrel. Use a negative extrusion to create the hole in the barrel.

    Select these red polygons.

    Extrude to create barrel.

    Bevel and finish with negative extrusion.

  10. Click the yellow Exit Isolation button to exit Isolate mode and view your finished model. If necessary, move and/or rotate the gun barrel a little to align it better with the rest of the model.

    If you don't see all the geometry click Zoom Extents All in the viewport navigation controls, and all the objects should reappear.

    Finished model of power charger


Modeling a Character

In this tutorial you’ll create a cyborg robot named Gauss using editable poly, editable mesh, and spline modeling tools. You’ll learn how to model by editing polygons and using splines and the Surface modifier to create shapes.

You’ll create only one half of the model. A mirrored instance of the object you’re modeling allows you to have all the edits you make on one side of the model appear on the other side also. All the modeling is done in one large viewport. The other viewport shows a sketch of the character for use as a reference.

In each of these lessons you have the option of loading a prepared GMAX file. You'll find these files in the gmax/tutorial directory, unless you have installed them or moved them somewhere else on your local hard drive.

This is an advanced tutorial. It assumes that you know how to use the viewport navigation tools. If you've never used gmax before, begin with Getting Started with gmax.

Finding the Files

Most of the tutorials ask you to begin by loading a starting file. You will find these files in the subdirectories under gmax\tutorials. These scene and map files are not installed as part of the basic gmax install. You get these files when you download and install gmax_tutorials.exe. If you can't find a file, trying searching for it using Windows Explorer or My Computer; you may have inadvertently installed the files to a different location.

In This Tutorial

Modeling the Face Mask

Refining the Mask

Adding Pipes

Modeling the Torso

Finishing the Torso

Creating the Arms

Adding the Legs


Modeling the Face Mask

In this lesson, you use the Line tool to create a profile of the mask. Edges are made visible and the Turn tool is used to turn the edges for better deformation when you use the Bend modifier to contour the mask.

Create the mask profile

  1. Load the file startgauss.gmax.

    The concept drawing of Gauss is on the left. A viewport in which to work in is on the right.

  2. The viewport on the right should be a Front view. If not, right-click the viewport name in the upper left corner of the viewport and choose Views > Front.

  3. On the Create panel > Shapes > Object Type rollout, turn on Line.

  4. Using the illustration below, draw the mask profile. This profile is one half of the mask. Later you’ll bend this shape to conform to the head. The last click you make should be over the first vertex you created. Answer Yes in the dialog that asks you if you want to close the spline.

    To draw straight lines you click in the active viewport, then move the mouse. Each click-move-click combination draws a straight line segment connected to the last. Each click places a vertex on the shape you are creating. All points of the line are placed on the active grid.

Extrude the shape

  1. On the Modify panel, choose the Extrude modifier from the Mesh Editing category in the modifier list.

  2. On the Extrude modifier Parameters rollout, type 20 in the Amount field, then press ENTER.

    The shape is extruded 20 units.

Make hidden edges visible

  1. Right-click the mask object, and choose Properties from the quad menu.

  2. In the Properties dialog, Display Properties group, turn off Edges Only, and then click OK.

    Hidden edges are made visible. This is necessary so that you can choose some of these edges and either use the Turn tool to turn them or make them visible to make modeling easier.

    Tip: Edges can be hard to see, depending on object color. Change the object color if you’re having a hard time seeing the edges. To change object color, click the color swatch on the upper right hand side of the Modify panel and choose a color in dialog.

Convert the model to an editable mesh

  1. Right-click the mask object, and on the quad menu choose Convert To > Convert To Editable Mesh.

    An Editable Mesh object has the Edge tools you need to turn edges and make them visible.

    The next step is to turn some of the polygon edges so the mask will bend without kinks.

  2. On the Modify panel, on the Selection rollout, click Edge sub-object.

  3. In the same rollout, turn on Ignore Backfacing.

    This is so you don’t inadvertently turn an edge on the other side of the model.

  4. On the Edit Geometry rollout, turn on Turn.

  5. In the viewport, select edges that need to be turned.

    Follow the illustrations to select and then turn edges. Edges will turn as you select them. The idea is to turn the edges into a zig zag pattern so that when the mask is bent, it will have a smooth curve.

    The Turn tool turns an edge by using alternate vertices to create the edge.

    Edges are turned to allow smooth bending of the mask.

    The next step is to make some of the edges visible to aid in the modeling process.

  6. Right-click to exit the Turn function if necessary.

  7. Select the hidden edges that you want to be visible.

    There are three edges on either side of the model that should be visible. Use the illustration as a guide.

  8. On the Surface Properties rollout, click Visible.

    The selected edges are now visible. The next step is to apply a Bend modifier and bend the mask 90 degrees.

Add the Bend modifier

  1. Click Edge to turn it off. This puts the software into the object level.

  2. On the Modify panel, choose the Bend modifier from the Parametric Modifiers category in the modifier list.

  3. On the Bend modifier Parameters rollout, type 90 in the Angle field and choose X in the Bend Axis group.

    The mask bends 90 degrees as if conforming to a head.

  4. Go to the Center sub-object level in the Bend modifier and move the center of the Bend effect to where the mask should be mirrored.On the toolbar turn on Select and Move to move the Center gizmo. When the model is mirrored, vertices around the mirror plane will line up properly.

    Use Arc Rotate to change the view, if necessary, to view the gizmo.

  5. Right-click the model and choose Convert To > Convert to Editable Poly.

  6. Save your work.

Refining the Mask


Refining the Mask

In this lesson, you make a mirrored instance of the mask and use the Cut tool in Editable Poly to add detail to the mask.

Mirror the mask

  1. Load step1.gmax if you want to continue with a stored file. Otherwise use the model that you saved in the previous lesson.

  2. With the mask model selected, click Mirror on the toolbar.

  3. In the Mirror dialog, turn on Instance and choose the X axis.

  4. In the Mirror dialog, change the Offset value until the instance lines up to form a full mask, and click OK.

    Offset the instance to create a whole mask.

Use cut and extrude to refine the mask

  1. Select the original object.

  2. Use Arc Rotate to get a close up view of the top of the mask.

  3. On the Modify panel, turn on Edge sub-object in Editable Poly.

  4. On the Edit Geometry rollout, turn on Cut.

  5. Click between two edges to create a cut on top of the mask, then right-click to exit Cut.

    The cut line is the red line on top of the mask.

  6. Turn on Polygon sub-object.

  7. On the Edit Geometry rollout, turn on Extrude.

  8. Extrude the inner polygon on top of the mask 11 units.

    The polygon on top of the mask is extruded up.

  9. Turn on Vertex sub-object.

  10. Select the two vertices on the outside of the extrusion and move them in, on the X axis, to taper the extrusion.

    To move vertices, either choose Select and Move on the toolbar or right-click the vertices and choose Move from the quad menu. You can then move vertices by dragging an axis in the viewports.

    The vertices are moved in to taper the top of the mask.

Add a cylinder

  1. Change the viewport to a Front view.

  2. On the Create panel > Geometry > Standard Primitives > Object Type rollout, choose Cylinder.

  3. Right-click the viewport label, and choose Wireframe.

  4. In the Front viewport, create a cylinder in the center of the mask. Change the settings as follows:

    • Radius=20

    • Height=10

    • Height Segments=1

    • Sides=10

  5. Use Arc Rotate to rotate the view. Use Select and Move on the toolbar to position the cylinder on the mask.

Add a cut to the mask

  1. Select the original mask object.

  2. On the Modify panel, click Edge to turn it on.

  3. On the Edit Geometry rollout, turn on Cut.

  4. Select the two edges where the top of the mask tapers. Refer to the illustration.

    A cut line appears on the geometry.

    The red line is the cut line.

  5. Right-click to exit the cut operation.

  6. Select the new edge and move it in toward the center of the mask.

  7. Right-click over the mask in the viewports and choose Cut Edge in the Tools1 quadrant of the quad menu.

    This is another way of selecting the cut tool.

  8. On the very top of the mask, create a new cut by clicking the two edges in turn.

  9. Right-click to exit the cut operation.

  10. On the Modify panel, go to Polygon sub-object.

  11. On the Edit Geometry rollout, turn on Extrude, and extrude the polygon on top of the mask 5 units.

    Tip: Press F2 to highlight the selected polygon, this makes it easier to see what you’re doing.

  12. Move and scale the polygon at the very top of the mask to match the illustration below.

    Turn on Non-Uniform Scale on the toolbar, and scale the polygon by dragging on an axis.

    This will scale the polygon on the X axis to taper it.

Add more cuts

At this point, you should be familiar with using the Cut tool to refine the model. You should also be familiar with extruding polygons and moving vertices.

  1. On the bottom of the mask cut two new edges and move the edges up on the Z axis to round out the bottom of the mask. Use the illustration as a guide.

Add a head

  1. Change to a Left viewport and click Zoom Extents to fill the viewport with the mask.

  2. Create a sphere with a radius of about 60 and 10 segments behind the mask.

  3. On the toolbar, click Non-Uniform Scale, and scale the head down on the Y axis. Click Yes to continue in the Alert Warning dialog.

    This makes it look a little more like a head.

  4. Save your work.

Adding Pipes


Adding Pipes

In this lesson, you’ll create pipes to populate the head.

Create a pipe

  1. Load step2.gmax unless you want to continue where you left off in the previous lesson.

  2. Change to a Top viewport.

  3. On the Create panel > Geometry > Standard Primitives > Object Type rollout, turn on Cylinder.

  4. In the top viewport create a cylinder with these settings:

    • Radius=9

    • Height=130

    • Height Segments=3

    • Sides=10

  5. Right-click the cylinder and choose Convert To > Convert to Editable Poly.

  6. Change to a Front view. On the status bar, change to Window Selection.

  7. Click Edge to turn it on.

  8. Region-select the edges in the upper middle part of the cylinder and move them up. See the illustration.

    To region-select, drag a window around the edges to select them.

    Edges to move are red.

  9. Region-select the edges in the lower middle part of the cylinder and move them down.

    Edges in the illustration show their position after the move.

    Edges to move are red.

  10. Click Polygon to turn it on.

  11. On the status bar, turn on Crossing Selection.

    This way you can select polygons that are partially inside the selection window.

  12. Region-select the rings of polygons at the top of the cylinder. Press the CTRL key and add the ring of polygons at the bottom of the cylinder to the selection. Don’t select the middle polygons.

  13. On the Edit Geometry rollout, turn on Bevel and Local Normal.

  14. To create the bevel for both sets of polygons, drag the selected polygons in the viewport, then release the mouse button, and move the mouse to create the bevel. Click to finish.

Create a bevel on the top of the cylinder

  1. Rotate the view to see the top of the cylinder.

  2. Click Polygon to turn it on.

  3. Select the polygon on top of the cylinder and bevel it up and out to create a tapered extension.

  4. Rotate the view to see the bottom of the cylinder.

  5. Extrude the polygon there twice. 28 units on the first extrusion and 8 units on the second extrusion.

  6. On the toolbar, click Select and Uniform Scale and scale up the bottom polygon.

  7. Move and rotate the cylinder so that it slopes back from the forehead over the head.

Add and position cylinders on the head

  1. On the Create panel > Geometry > Standard Primitives > Object Type rollout, turn on Cylinder.

  2. Turn on AutoGrid.

    AutoGrid creates a construction plane on the normal of the polygon under the mouse. Move the mouse over the desired polygon and then drag.

    Tip: If you hold down the ALT key during AutoGrid, the grid remains in effect. This allows you to create multiple cylinders on the same grid plane.

  3. In the viewports, drag over a polygon on the head that is at an appropriate angle for the new cylinder.

    Drag over a polygon on the head to create the new cylinder

  4. Add more cylinders to approximate the following illustration.

    Feel free to change the colors of the objects. It can help in modeling to visualize the final effect. To change a color, select an object, and then click the color swatch next to the object name on the command panel. Choose a color in the Object Color dialog and click OK.

Modeling the Torso


Modeling the Torso

You’ll model the torso using splines and the Surface modifier. Once you build a spline cage, you use the Surface modifier to create a surface based on the splines. When modeling with splines, you spend most of the time moving spline vertices and tangent handles to model the surface. A Mirror modifier is added to the modifier stack so you can view the entire torso. The Mirror modifier also saves you work; it reflects any changes you make on one side of the object to the other side.

The neck and pelvis objects are cylinders that have been converted to Poly objects and modified.

Create splines

  1. Open step3.gmax or continue from the previous exercise.

  2. Change the viewport to a Left view.

  3. On the Create panel > Shapes > Splines > Object Type rollout, turn off Start New Shape, turn on Line, and draw two lines that represent the front and back of the torso, as shown in the following illustration.

    Note: Both splines will be one object by turning off Start New Shape.

  4. On the status bar, turn on the 3D Snap toggle. Right-click the 3D Snap toggle button and turn on EndPoint in the Grid and Snap Settings dialog. Close the dialog. Don’t click the Clear All button that looks like a close button.

    This allows you to snap to the endpoints on the two splines.

  5. On the Modify panel > Geometry rollout, turn off Poly Connect and turn on Create Line.

    Turning off Poly Connect prevents the welding of vertices at the connect point. If the vertices are welded then the spline will curve through the point smoothly, which is not what you want in this case.

  6. In the viewport, create six connecting splines as shown in the illustration. Right-click to end each spline.

  7. On the status bar, turn off 3D Snap.

  8. On the Modify panel, on the Geometry rollout, turn on Refine and click the center of each spline.

    A vertex is added to each line.

  9. Turn off Refine.

  10. Use Arc Rotate to rotate the view to the side. Move all the newly created vertices to the right, about 70 units, to give the torso depth.

  11. On the status bar, turn on 3D Snap.

  12. On the Geometry rollout, turn on Create Line.

  13. Create a new spline by snapping to each new vertex in turn. Right-click to end the new spline.

  14. Turn off Create Line.

  15. On the Selection rollout, click Vertex. Region-select the vertices you just connected, and then right-click over a selected vertex and choose Smooth in the Tools1 quadrant of the quad menu.

    All the splines curve smoothly.

  16. Turn off all sub-object levels. On the Modify panel, choose Mirror, in the Parametric modifiers group, from the list of modifiers.

    Tip: Pressing M repeatedly cycles through available modifiers that begin with the letter m.

  17. On the Mirror parameters rollout, choose the Z axis, turn on Copy, and change the Offset value so that the splines are mirrored around the center of the torso.

    Try to get the mirrored copy exactly on the mirror plane. This way, the Surface modifier will create patches on the whole object.

  18. On the Modify panel, choose Surface from the list of modifiers.

  19. On the Parameters rollout for the Surface modifier, turn on Remove Interior Patches. If the model looks inside out, turn on Flip Normals also.

    Tip: If there are gaps in the surface, try to either adjust the mirror offset, or increase the threshold in the Surface modifier.

  20. On the Modify panel, choose Edit Patch from the list of modifiers.

  21. On the Modify panel, on the Geometry rollout of the Edit Patch modifier, turn off Show Interior Edges.

    The interior edges disappear, making the geometry simpler to view and to edit.

  22. Save your work.

Create the arm cavity

  1. Go down the modifier stack to the Editable Spline level.

  2. On the Selection rollout, click Vertex to turn it on.

  3. In the viewport, select and move the two coincident vertices upward at the top of the torso. Use the illustration as a guide.

  4. On the Geometry rollout, turn on the Connect and Close check boxes next to Refine, and then click Refine.

  5. In the viewport, click the four splines in a circular sequence, as shown in the illustration.

  6. Turn off the Closed checkbox next to the Refine button. With Connect still turned on, use Refine to add the following spline, below the arm cavity.

    The added spline is in red.

  7. Click Segment to turn it on, select the segments that connect the front and back spline to the top spline and delete them.

  8. On the toolbar click Select and Move. Turn on 3D Snap, click Vertex, select the collar vertices, and snap them to the top vertices on the two vertical splines by moving the vertices over each other and clicking.

    Note: You may need to adjust the Threshold parameter on the Surface modifier after this step.

    On the Modify panel, turn on Show End Result to view the surface. You might have to flip the normals in the Surface modifier to correct the surface.

    Connect the vertices and turn on Show End Result to view the surface.

  9. Save your work.

Move and shape the vertices and splines

At this point, the basic geometry for the torso is done. You can move vertices and vertex tangent handles to shape the torso. In many cases you’ll need to isolate a vertex, change it to a Bezier type, and then move the tangent handle to shape the spline. You’ll also use the Area Selection and Segment End options in the Selection rollout.

  1. On the Selection rollout, click Vertex to turn it on.

  2. On the Selection rollout, turn on Area Selection.

    This allows you to click a vertex once and select all coincident vertices (multiple vertices in the same location). This helps when you need to move coincident vertices to shape the object.

  3. Select all the vertices that make up the perimiter of the arm cavity and move them out along the X axis. Move the vertices to where you want the shoulder to end. Always answer No in the dialog that prompts you to weld coincident endpoints. Otherwise the weld operation will weld vertices that you don’t want welded.

    You’ll notice that some vertices have tangent handles and some don’t. To alter the curve through a vertex, change vertices without tangent handles into the Bezier type. Bezier vertices have tangent handles that you can manipulate to change the spline curves.

    Move the arm cavity vertices out.

Weld the vertices at the top of the arm cavity

There are two coincident vertices at the top of the arm hole that can benefit by being welded together to form a smooth curve. A smooth curve helps to shape the arm cavity.

  1. On the Selection rollout, turn off Area Selection and turn on Segment End.

    Segment End allows you to click a segment near the vertex you want to select and select the vertex.

  2. First deselect all vertices, then hold down the CTRL key and click both the segments that make up the arm cavity near the top vertex of the arm cavity.

    Two coincident vertices are selected.

  3. On the Geometry rollout, click Weld.

    Notice that the spline now curves through the shoulder. You’ll now change the vertex at the top of the arm hole to a Bezier type. This will give the vertex Bezier tangent handles to manipulate.

    Rather than a sharp corner, the spline curves through the top vertex.

Move tangent handles

  1. Click the arm cavity segment near the top vertex.

    The vertex is selected but has no tangent handles.

  2. Right-click over the vertex at the top of the arm cavity and choose Bezier from the Tools1 quadrant of the quad menu.

    Bezier handles appear on the vertex.

  3. On the toolbar, turn on the Y axis and Select and Move. Move the tangent handle on the Y axis, to lengthen it. This rounds out the arm cavity.

  4. Use your own judgement, and the illustration, to move vertices and adjust tangent handles to shape the torso.

  5. Save your work.

Finishing the Torso


Finishing the Torso

Now you’ll add the neck, pelvis, shoulder pads, and the cylinder (charger port) on the character’s back.

Create the neck

  1. Open step4.gmax or continue from the previous exercise.

  2. Create a cylinder with these settings:

    • Radius=64

    • Height=84

    • Height segments=2

    • Sides=10

  3. Position the cylinder in the neck area. Change the Radius and Height to approximate the size in the illustration.

  4. Select the cylinder if it is not already selected. Right-click the cylinder and choose Convert To > Convert to Editable Poly in the quad menu.

  5. On the Selection rollout, click Polygon.

  6. Hide the head temporarily by region-selecting the head objects, right-clicking over the head, and choosing Hide Selected in the quad menu.

  7. Select the polygon on the top of the cylinder.

  8. On the toolbar, turn on Scale and scale the selected polygon down.

  9. Click Vertex and move down two of the vertices in the middle of the cylinder. The vertices have small arrows pointing to them in the illustration.

  10. To unhide the head, right-click and choose Unhide All.

Add the pelvis

  1. Create and position a cylinder around the character’s pelvis with these settings:

    • Radius=64

    • Height=16

    • Sides=10

    • Height Segments=1.

      To position the cylinder, turn on Select and Move on the toolbar and move the cylinder into position at the bottom of the torso.

  2. Right-click the cylinder and choose Convert To > Convert to Editable Poly on the quad menu.

  3. On the toolbar, turn on Select and Non Uniform Scale and scale the cylinder on the Y axis so that it conforms to the torso. Ignore the warning in the Non Uniform Scale dialog.

  4. On the Selection rollout, click Polygon.

  5. Use Bevel to create the belt buckle as shown in the illustration.

  6. Rotate the view to see the bottom of the cylinder.

  7. Turn on Ignore Backfacing, and then use Cut to make two new edges on the bottom of the cylinder.

  8. Turn off Cut, and select and bevel the polygon on the bottom of the cylinder. Make the extursion roughly 47 and the bevel –4.

Position a cylinder in the character’s back

  1. Create and position a cylinder in the character’s back.

    The cylinder is a power charger port.

  2. Convert the cylinder to an Editable Poly object and use the Bevel tool to create the bevel you see in the illustration.

Create the shoulder pads

You’ll use splines and the Surface modifier to create the shoulder pads.

  1. Change to the Left viewport.

  2. On the Create panel > Shapes > Splines > Object Type rollout, click Donut.

  3. In the Left viewport, drag to create a donut. Size the donut to approximate the arm cavity. The following are the approximate ranges for the donut:

    • Radius 1=52

    • Radius 2=43

  4. Right-click the donut and choose Convert To > Convert to Editable Spline in the quad menu.

  5. In the Selection rollout, click Segment.

  6. Select the bottom segments of the donut and press DELETE to delete them.

    Two semi-circular splines remain after the DELETE operation.

  7. On the selection rollout, click Spline.

  8. Select both remaining splines and SHIFT-Move them, about 45 units, to create a duplicate copy.

  9. Turn on 3D Snap, and make sure the Endpoint option is on. Use Create Line to connect the vertices in a circular fashion as shown. Click Yes in the Close Spline dialog.

    If curved splines are created, change the vertices to Corner.

  10. On the Modify panel, choose the Surface modifier in the Patch/Spline Editing category in the list of modifiers.

  11. On the Parameters rollout for the Surface modifier turn on Remove Interior Patches.

    Tip: You may need to flip normals in the Surface modifier.

    The shoulder pad is skinned.

  12. On the Modify panel, choose the Edit Patch modifier in the list of modifiers.

  13. On the Geometry rollout for the Edit Patch modifier, turn off Show Interior Edges.

    The interior edges dissapear, making it easier to view and edit the geometry.

Position and duplicate the shoulder Pad

  1. Roughly position the shoulder pad on the left shoulder.

  2. Go back down in the modifier stack to the Editable Spline.

  3. On the Selection rollout, click Vertex.

  4. Turn on Area Selection and turn off Segement End.

  5. Drag vertices to shape the shoulder pad onto the shoulder.

  6. On the Selection rollout, click Vertex to turn it off.

  7. Select the Edit Patch modifier at the top of the modifier stack.

  8. On the toolbar, click Mirror.

  9. On the dialog that is displayed, choose the X axis and Instance.

    By making an Instance, changing one pad will change the other pad also.

  10. Save your work.

Creating the Arms


Creating the Arms

The upper arm, lower arm, and fingers are made out of cylinders. The Bevel tool is used to shape these objects.

Create cylinders for the upper and lower arm

  1. Open step5.gmax or continue from the previous exercise.

  2. Add and position a cylinder for the upper arm.

  3. Convert it to an Editable Poly object.

  4. Bevel the ends of the cylinder to add detail. The following bevel values are appoximate:

    • Extrusion=7

    • Outline=-5

  5. Add and position a cylinder for the lower arm.

    Tip: Turn on AutoGrid and build the cylinder from the bottom of the upper arm cylinder.

Create the palm

  1. Create a box with these settings:

    • Length=46

    • Width=56

    • Height=23

    • Length Segments=3

    • Width Segments=3

  2. Convert the palm object to an Editable Poly.

  3. Move vertices and bevel faces to shape the palm.

Create the fingers

  1. On the Create panel > Geometry > Standard Primitives > Object Type rollout, turn on AutoGrid.

  2. Turn on Cylinder.

  3. Create a cylinder with these settings:

    • Radius=10

    • Height=32

    • Height Segments=1

    • Sides=4

  4. Create a thumb and two fingers by draging over the apporpriate palm polygons.

  5. Convert all the fingers to Editable Poly objects.

  6. Use Bevel on the finger polygons to add shape to the fingers. See the illustration of the fingers to judge the bevel amount.

  7. Add simple spheres to the elbows and wrist.

  8. Select all the arm objects and use Mirror on the toolbar to mirror an instance of the arm to the other side of the torso.

  9. Save your work.

Adding the Legs


Adding the Legs

The legs are made out of cylinders. You should now be familiar with the Bevel tool and how to move vertices.

Create cylinders for the leg

  1. Open step6.gmax or continue from the previous exercise.

  2. Create a cylinder with these settings:

    • Radius=32

    • Height=204

    • Height Segments=2

    • Cap segments=2

    • Sides=9

      Tip: Use AutoGrid and drag on the bottom polygon of the pelvis to create the cylinder.

  3. Convert the leg cylinder to an Editable Poly object.

  4. Use Non-Uniform Scale to shape the leg into a slight oval.

  5. Select the inside polygons on the cap, and then use Bevel to create the knee extension. See the bottom of the thigh in the illustration.

  6. Create and position a cylinder for the calf. Create a cylinder with these settings

    • Radius=63

    • Height=200

    • Height Segments=2

    • Cap Segments=2

    • Sides=9

  7. On the Selection rollout click Polygon, select the interior edges of the cap, and use Bevel to create the knee extension.

  8. On the Selection rollout click Vertex and move vertices around to shape the calf.

  9. For the foot, start with a hemisphere. To make a hemishpere, you create a sphere in the normal way using the Sphere tool (located on the Create panel > Geometry > Object Type rollout). Then you enter a value in the Hemishpere field there.

  10. Convert the hemisphere into an Editable Poly object.

  11. Select and extrude faces to create the heel of the foot.

  12. Extrude or bevel faces to create the ankle.

  13. Select all the leg objects and use the Mirror tool on the toolbar to create an instance of the legs.

    The model is complete.

  14. Save your work.

  15. Load step7.gmax if you wish to compare your model with the stored version.


Rigging a Character

Character with animation controls

A games character can be made up of different objects linked together into a hierarchy, or it can be made of a single continuous surface.

When a character is all one object, you can use a skeleton of bones to create the animation of the character. You animate the bones, and then use this movement to deform the character mesh. You can animate the bones by moving and rotating them individually, or inverse kinematics controls.

The link between the bones and the mesh is the Skin modifier.

In this tutorial you will you see how bones are created for a continuous-surface character. You will apply a Skin modifier to the new bones and adjust the envelopes. You will also apply inverse kinematic controls for animating the bones.

Finding the Files

Most of the tutorials ask you to begin by loading a starting file. You will find these files in the subdirectories under gmax\tutorials. These scene and map files are not installed as part of the basic gmax install. You get these files when you download and install gmax_tutorials.exe. If you can't find a file, trying searching for it using Windows Explorer or My Computer; you may have inadvertently installed the files to a different location.

In This Tutorial

Creating Character Bones

Creating Inverse Kinematics (IK) Controls

Skinning the Character


Creating Character Bones

You can animate your characters through the use of bone skeletons. Because it's time-consuming to create all the bones in a character, in this tutorial you'll just learn to make the bones in the leg.

Open the starting file

  • Choose File > Open, and then browse to /gmax_tutorials/gmaxtut_add_bones.gmax.

Select the mesh

  1. In the Perspective viewport, position your cursor over the character.

    A tooltip appears with the name of the object.

  2. When you see the name "Gauss," click to select that object.

    Selection brackets appear around the character in the viewport.

Make the character see-through

  1. Right-click anywhere in the viewport, and, from the quad menu that appears, choose Properties.

  2. In the Properties dialog, in the Display Properties group, turn on See-Through.

    Now the character is a pale color in the viewport.

  3. Use the Zoom and Arc-Rotate buttons to adjust the view so you can see that there are bones within Gauss.

Hide the character mesh

To get a better look at the bones, you'll hide the character temporarily.

  • On the command panel, click the Display tab. In the Hide rollout, click Hide Selected.

    Now the bone objects are easy to see. They don't look like actual human bones, but they serve a comparable purpose for the virtual character. That is, they provide a skeletal structure, and can be bound to the surrounding "flesh" (wireframe mesh) so that moving them brings the mesh along.

Freeze the mesh

You really need to see the Gauss mesh character, so you'll unhide it, and then freeze it.

  1. In the Hide rollout, click Unhide By Name.

  2. In the Selection Sets group, click the down arrow, choose gauss mesh from the list, and then click the Unhide button.

  3. In the Freeze rollout, click Freeze By Name.

  4. In the list at the left, scroll down and choose Gauss, and then click the Freeze button.

    Gauss is frozen in the viewport.

    You can hide and unhide frozen objects easily. In the Hide rollout, turn on Hide Frozen Objects. Now only the bones are visible.

Delete the right leg bones

Before you create the bones for the left leg, you'll select and delete the existing bones.

  1. In the Front viewport, draw a selection rectangle around the leg bones as illustrated, and then press the DELETE key.

    Tip: If you delete too many bones, press CTRL+Z to undo, and then try again.

    Select these bones.

    Delete them.

  2. Once you've deleted the bones, turn off Hide Frozen Objects on the Hide rollout of the Display panel.

  3. Right-click in the User viewport to activate it, and then press R on the keyboard to change it to a Right viewport.

  4. Maximize the viewport by pressing W on the keyboard.

  5. Press ALT+CTRL+Z to zoom the viewport to the extents of the visible scene.

  6. Press G on the keyboard to toggle the Grid on in the viewport.

    Now you are ready make some bones for the leg.

Create Bones

  1. Activate the Create panel if it is not visible.

  2. Click the Systems button to open the Systems rollout.

  3. On the Object Type rollout, click Bones.

    The button highlights: This means it is active and the software is ready to create bone objects in the viewport.

    Before you create the bones, you need to adjust the Bone Parameters settings.

  4. On the Bone Parameters rollout, in the Bone object group, set Width=40 and set Height=40.

  5. Draw the bones. You will draw the bones outside the mesh and then move them into the mesh afterwards. Start to the right of the pelvis and click. Then move the mouse down and left, as illustrated below. Click again to set the length of the thigh bone.

    Draw the thigh bone.

  6. To create the shin bone, move downward and to the right, and click to set.

    Draw the shin bone.

  7. The next bone is at the ankle. Move and click as shown in the following illustration.

    Draw the ankle bone.

  8. Continue the bone-making process by clicking again, making a bone for the ball of the foot, as shown in this illustration.

    Draw the foot bone.

  9. Right-click to stop the bone-creation process.

    When you right-click, an extra short bone is added to the end of the bone chain. This short bone makes it easier to identify the end of the chain.

    Finish the bone chain.

Reposition the bones inside the mesh

  1. Select your new bone chain by drawing a selection rectangle around it.

    Tip: Another easy way to select all the bones in a chain is to double-click the top bone; in this case, the thigh.

  2. Right-click and choose Move from the quad menu.

  3. Use the Transform gizmo to move the bones so they are inside the mesh.

  4. Press W to return to the four-viewport layout.

  5. Right-click the Front viewport.

    This activates the viewport without changing what you have selected.

  6. Use the Transform gizmo again to move the bones so they are approximately over the mesh leg.

Rotate the bones

The bone for the leg should not be straight up and down, as viewed from the front. You need to rotate the bones.

  1. On the main toolbar, click Select And Rotate, and then in the Front viewport click the top bone to select it.

  2. Rotate the bone as shown in the following illustration.

    Tip: Use the Transform gizmo. Place your cursor over the gizmo and move it around. When the Z turns yellow, you can rotate about the Z axis.

    Notice that when you rotate the top bone, all the other bones rotate with it. Because the top bone is the parent of the other bones, all the child objects rotate with the parent.

  3. Right-click and choose Move from the quad menu, then move the bone to the left, so it is inside the leg.

    Since the top bone is the root of the hierarchy all the children move with it.

  4. Press PAGE DOWN on the keyboard.

    The second bone in the chain is selected.

  5. Right-click and choose Rotate from the quad menu, and then rotate the bone so the chain is better positioned inside the mesh.

    To make the next part easier, you'll hide all the bones except the ones you're working on.

Hide the named selection

  1. On the main toolbar, find the Named Selection Sets field. (It's just to the right of the Align button.). Click the down arrow, and choose allbones.

    This is a named selection set that contains all the bones in the scene when you first loaded the file.

  2. On the Display panel, on the Hide Rollout, choose Hide Selected.

    Now only the new bones you've drawn are visible.

  3. Select all the bones in the viewport, and in the Named Selection Sets field name them newlegbones.

    You've just made a selection set that you can retrieve at any time.

  4. Activate the Right viewport, and rotate the bones so they fit better inside the mesh.

    It's still difficult to see how the bones fit in the mesh. The next procedure will make this easier.

Use lit wireframe with shade selected

  1. Right-click the active viewport label, and choose Other > Lit Wireframes.

  2. From the Views menu at the top of the interface, click Shade Selected.

  3. Select all the bones in the viewport, and use Arc Rotate to move the viewport around.

    Now it is clear how the bones fit inside the mesh.

    Lit wireframe objects with shade selected bones

Change the bone length

You're ready to fine-tune the bones.

  1. Select the top bone in the chain.

  2. On the command panel, activate the Hierarchy tab.

  3. Make sure that Pivot is highlighted, then in the Adjust Transform rollout > Move/Rotate/Scale group, turn on Don't Affect Children.

    Now, if you rotate or move the bone, only the single bone is affected. The children remain unaffected.

  4. On the main toolbar, click Select And Move, then change the reference coordinate system to Screen.

  5. Move the top bone vertically.

    This movement changes the length of the bone.

  6. Press PAGE DOWN on the keyboard. Now the shin bone is selected. Move the shin bone vertically.

    Both the thigh and shin change length as you move the shin.

  7. Adjust the size and position of each of the bones in the same way.

    You may want to change the viewport shading back to Smooth+Highlights. Then all the bones will be displayed as shaded, not just the one you're moving.

Change the bone proportions

You can select individual bones and change their proportions so they more closely resemble the mesh.

  1. Activate the Modify panel.

  2. Select the second bone in the chain: the shin bone.

    The Modify panel displays the bone parameters.

  3. Adjust the settings, as follows:

    • Width=30

    • Height=24

    • Taper=-200

      Bell bottom bones using negative taper

  4. If you like, repeat for each bone in the chain, changing the Width, Height, and Taper, so each bone fits within the mesh.

    Tip: Sometimes you don't want to create tapered bones. Setting the Taper to 0 creates box-shaped bones.

Add fins for easier bone selection

Bones can also have fins on the back, front and sides. These can protrude through the mesh, making it easier to select the bones in Smooth+Highlight viewport shading mode.

  1. Select the shin bone.

  2. On the Modify panel, turn on Back Fin. Increase the size of the Back Fin Size to about 50.

    Notice that the back fin is really the front of the character. If you had built the bones in the Left viewport, rather than the Right viewport, this would be correct.

  3. Set Start Taper=40 and End Taper=10.

  4. Turn on Front Fin. Set Size=45, Start Taper=35, and End Taper=-3.

    Bones with fins

  5. Experiment with adding fins to all the bones. You don't have to add them to all the bones now.

    Fins on bones

    If you change to Smooth+Highlight and unfreeze the Gauss object you can see the fins protrude through the mesh.

    It's easy to select the bones when they protrude through the mesh.

  6. Freeze Gauss again, and change the viewport back to Lit Wireframe.

  7. Save your file as mylegbone.gmax.

Link the new bones to the existing bone skeleton

You'll start by hiding the Gauss character mesh.

  1. On the Display panel > Hide rollout, turn on Hide Frozen Objects.

  2. Click Unhide By Name and then, from the Selection Sets list, choose allbones. Click Unhide.

    Now the bones and the pelvis dummy (the blue wireframe cube) are visible in the viewport. A dummy object is used as a control in the viewport.

  3. On the main toolbar, click Select And Link.

    This lets you select objects and link them to other objects in a chain.

  4. Zoom in so you can see the thigh bone with the fins and the dummy object. Then click the thigh bone to select it.

    The cursor changes to two gray boxes chained together when it's over the thigh bone.

  5. Drag from the thigh bone to the dummy object. The cursor changes to a white box chained to a gray box. Release the mouse button to link the thigh bone to the dummy.

    When you release the mouse button, the dummy highlights momentarily to indicate that the link was successful.

  6. To verify that you made the link correctly, right-click and choose Move from the quad menu. Then move the blue dummy box in the viewport. The entire skeleton should move when you move the dummy. If it doesn't, try making the link again.

  7. Press CTRL+Z to undo the movement, so the dummy is back in its original position.

Creating Inverse Kinematic Controls


Creating IK Controls

Creating Inverse Kinematic (IK) Controls

The bone skeleton inside the character consists of several hierarchical chains of objects. You can animate these chains by rotating the chain members individually. This type of animation is called forward kinematics. If you want to animate the chains by moving the ends or middles of the chains, you use inverse kinematics (IK) controls.

In this tutorial you'll explore adding IK controls to the leg bones that you built in the previous exercise.

Open the Starting File

  • Open start_ik.gmax.

    This file is slightly different from the previous exercise. The fins have been turned off and the bones have been narrowed so you can see the IK controls better while you learn.

Add inverse kinematic chain control to the leg bones

  1. Press H on the keyboard to open the Select By Name dialog. Scroll down to the bottom of the list and click thighbone. Click Select.

    The thigh bone is selected in the viewport.

  2. From the Animation menu, click IK Solvers and then choose IK Limb Solver. Then move the cursor in the viewport.

    A dotted line now links the cursor to the pivot point of the thighbone.

  3. Move the cursor over the different bones and hold briefly to see the name. When you locate Bone08 (it's in the same leg, below the shin bone), click to set the end of the IK Limb Solver.

    The IK Limb Solver is a inverse kinematics system especially designed to control a two-bone chain such as a forearm and upper arm, or a thigh and shin combination. It doesn't work if applied to a longer chain.

    The tooltip names each bone.

    The IK Control has been placed at the ankle. A blue cross appears there; this is the goal that will control the IK chain. Moving this goal will cause the two bones in the chain to rotate. The software automatically named the goal IK Chain03.

    IK Limb Solver applied to two-bone chain

    You should notice that the chain must have three bones, for you to apply the IK Limb solver to control the two bones.

    Next you will test the IK setup by moving the IK goal.

Test the IK Limb Solver

  1. On the main toolbar, click Select And Move and then move the IK control IK Chain03.

    Tip: Press the + key to increase the size of the Transform gizmo.

    Moving the IK Control makes the knee bend and the thigh and shin rotate.

    Moving the IK control rotates the thigh and shin bones.

  2. Press CTRL+Z to undo the movement of the IK Control.

Link the IK chain to a dummy object

Usually you link the IK control to a dummy object for easier animating. Here the dummy you need is hidden and frozen, so you will unhide and unfreeze it.

  1. On the Display panel > Freeze rollout, click UnFreeze By Name and then choose Dummy02. Click the Unfreeze button.

  2. A blue dummy box appears near the IK Chain03.

  3. The blue dummy object will be used as an animation control.

  4. Next you will align the Dummy02 object so it is centered over the IK Chain03 control.

  5. Select the Dummy02 object.

  6. On the main toolbar, click the Align button. Then click the IK Chain03 control in the viewport. Wait until the tooltip shows the correct name, then click.

    Tip: If you have difficulty selecting the IK control, zoom in first or use Select By Name.

  7. In the Alignment dialog, turn on X Position, Y Position and Z Position.

    The dummy is centered over the IK Chain in the viewport.

    Next you will link the IK Chain03 object to the dummy object.

  8. Click the Select And Link button on the main toolbar, then click IK Chain03. Hold the mouse button down and move the cursor to Dummy02. Click to link.

    This makes the dummy the parent of the IK control, so moving it moves the entire IK chain.

Test the Linkage

  1. To test whether you linked correctly, select and move the Dummy02 object and see if the leg moves.

  2. Move the dummy to rotate the leg bones.

  3. Press CTRL+Z to undo the movement of Dummy02.

  4. The IK controls also act as sticking points for the movement of the skeleton. To see this, select the Dummy01 object (at the pelvis) and move it down.

    The skeleton moves downward, but the ankles don't move, and the knees bend to compensate.

  5. Press CTRL+Z to undo the movement of the pelvis dummy.

  6. Save your work as myikchain1.gmax.

Skinning the Character


Skinning the Character

The bones can be used to deform and animate the character. You use the Skin modifier as the link between the bone skeleton and the character mesh. In this tutorial, the character already has a Skin modifier applied. You will add the new leg bones you created in the previous exercise, and then adjust the skin envelopes so everything works.

Open the starting file

  • Open start_skin.gmax.

Add bones to the Skin modifier

  1. Select the Gauss mesh in the viewport.

  2. Go to the Modifier panel if necessary.

    The Skin modifier is active, and its parameters appear in the panel.

  3. On the Parameters rollout, click Add Bone.

  4. In the Select Bones dialog, hold down the CTRL key and click thighbone, shinbone, heelbone, shoe bone, and toe bone. Click Select.

  5. On the Parameters rollout, click Edit Envelopes, and then click thighbone in the list.

    The skin envelope displays in the viewport.

    A rainbow gradient shows which parts of the mesh the bone will affect.

    The envelope consists of two capsule-shaped wireframe structures: a brown outer envelope and a red inner envelope. Because you're using the default Absolute setting, only the outer envelope is important, so that's the one you'll be adjusting. For detailed information, see the gmax online reference > Skin Modifier topic.

    You'll edit the envelope so that it affects fewer mesh vertices.

  6. Click the brown square handle on the outer envelope, as shown in the following illustration. Use the Transform gizmo's X axis to move the square as shown so the cross-section radius decreases.

    Select a handle on the outer envelope.

    Use the Transform gizmo to adjust the envelope.

  7. Do the same for the other end of the envelope.

    You can shorten the envelope capsule using the control square just below the plane with the red and brown squares. This control square is faintly visible in magenta in the following illustration. Even if you can't find it, the next step describes a method for selecting it.

  8. Drag a rectangle around the area directly below the red and brown rings and the hard-to-see control square will become selected. Then use the Transform gizmo's Z and X axes respectively to move the capsule end down and to the right.

  9. Use Arc Rotate to rotate the viewport so you can see from the side.

  10. Select the magenta control square for the bottom part of the envelope. Move that to the left as shown below, so the bottom of the envelope fits over the knee.

    You can see that there is a blue corner on the thigh, indicating that these mesh vertices are not affected by the envelope. If you animate the character like this, these vertices will not animate with the bone.

  11. Select the pink square nearest the blue corner and move it along the Y axis until the blue corner changes color.

  12. Rotate back around to the front view, where you can see there is a blue area, meaning those vertices need to be included.

  13. Increase the lower envelope radius so the blue thigh shading turns yellow.

    Yellow shading indicates affected vertices

  14. Move the upper end of the capsule to the right, so the groin shading turns blue.

    As you can see, this is a time-consuming process. It helps to have a motion test while you are doing this.

Create a motion test

  1. Turn on the Animate button.

  2. Move the time slider to frame 50.

  3. On the Modify panel, in the Parameters rollout, click Edit Envelope to turn it off, if it is still active.

  4. Move the Dummy02 object so the foot swings away to the right.

  5. Play the animation. You will see which envelopes are working and which still need work.

    You'll need to take the time to adjust the envelopes for all bones in that leg, which will give you some practice.

Paint vertex weights

Often you'll do a motion test and discover there are just a few vertices that need to be included with a bone. If you see that, you can fix them by painting vertex weights. Here you can see a few errant vertices, creating unwanted spikes.

Spikes formed by stray vertices

  1. In the Modify panel > Parameters rollout > Weight Properties group, click Paint Weights.

    In the viewport, a yellow, spherical cursor appears when you pass the mouse over the mesh vertices. This is the "paintbrush."

    Click Paint Weights, and then paint in the viewport.

  2. Click the renegade vertices.

    The spikes go away.

    The spikes disappear during motion test.

  3. Work through this file yourself, or load end_skin.gmax to see the finished envelopes.

    The completed skin envelopes


Adding Materials and Mapping

In this tutorial you will learn about adding materials and textures to objects. You will put metal textures on a power charger (the same one that you build in another tutorial). You'll also learn how to adjust the tiling and placement of these textures.

Note: This is a beginning-level tutorial. You need not have completed any of the other gmax tutorials in order to be able to undertake this one. However, if you've never used gmax before, we recommend you begin with Getting Started with gmax.

Finding the Files

Most of the tutorials ask you to begin by loading a starting file. You will find these files in the subdirectories under gmax\tutorials. These scene and map files are not installed as part of the basic gmax install. You get these files when you download and install gmax_tutorials.exe. If you can't find a file, trying searching for it using Windows Explorer or My Computer; you may have inadvertently installed the files to a different location.

In This Tutorial

Using the gmax Material Editor

Using Mapping

Using Material Navigator


Using the gmax Material Editor

Objects get their shape from the geometry and they get their appearance from the materials applied to that geometry. The faces of the mesh surface are painted with materials that add color, transparency, shininess and other qualities. In this tutorial you are introduced to the gmax Material Editor, where you create and modify these materials.

Open a starting file

  1. From the File menu, choose Open.

  2. Browse to gmax\tutorials\gmtut_start_materials.gmax and click OK.

    Starting file looks like this.

Use the material editor to apply a material

  1. On the main toolbar, click the Material Editor button.

    The gmax Material Editor is displayed. Reposition the Material Editor if it is covering the Perspective viewport.

    There is a material already built in this scene. You can see it in a list labeled Scene Materials.

  2. Click the down arrow next to the Scene Materials field and choose Purple Space Metal from the list.

  3. In the Perspective viewport, drag a selection rectangle around all the objects.

  4. In the Material Editor click Apply.

    All the objects that make up the power charger turn purple.

    Material applied to all objects

Change the color

You can instantly try out different colors on the power charger.

  1. In the Diffuse Factors panel click the purple color box.

    The Color Selector is displayed.

  2. Hold down the mouse button and move the cursor within the gradient display at the left of the Color Selector. Watch the power charger instantly update.

    The color of the power charger changes as you move the cursor over the gradient. Close the dialog when you have a color you like.

    Tip: Try lowering the Saturation slider and Value sliders to make the colors more subtle

Change the glossiness

You can make the objects a lot more shiny by changing the glossiness factors.

  1. In the Components group, click the Highlight tab.

  2. In the Highlight Factors group, increase the Level using the spinner.Increase it to 100, then decrease it to 50.

  3. Change the Glossiness using the spinner. Decrease it to 0, then increase it to to 15.

    You don't have to be exact here, experiment to find what looks interesting to you. Depending on what color you've chosen for your model, you'll find different combination that work best.

    Glossy material in the viewport

    Experiment with different combinations of Level and Glossiness. The lower the Glossiness value, the wider the highlight on the surfaces of the power charger objects.

Create a new material with a texture

You can use bitmap image files to add textures to object surfaces. You'll create a new material next, and add a texture to it.

  1. In the Material Editor, click New.

  2. In the Name field, enterl blasted metal as the new material name.

  3. Select the Generator Housing Left object in the viewport.

    If you have trouble finding this object, press the H key and click the object name in the selection dialog, then click OK.

  4. Click the Open New Map file button in the Diffuse Factors tab.

  5. Browse to the \gmax\tutorials\materials directory, and choose cookiesheet_crackle_offsq.bmp.

    The diffuse map appears in the Material Editor.

  6. Click Apply.

    The blasted metal texture appears on the left generator housing in the viewport. Zoom in for a closer look at the texture.

    Texture applied to generator housing

    If the metal texture is not visible, click the Show Map In Viewport button in the Diffuse Factors tab.

    If you try to put the blasted metal material on the other side of the generator housing, you won't see the texture. This is because the generator housing already had a UVW Map modifier applied to it, while the other side does not. The modifier lets you change the way the texture is placed on the surface of the object.

    Next you will adjust the texture placement using the UVW mapping modifier gizmo.

Using Mapping


Using Mapping

You can use scanned and painted bitmap images as part of the material. The placement of these bitmaps is controlled by the UVW mapping coordinates. If an object has no UVW mapping coordinates, the texture will not be visible in the viewport. UVW mapping coordinates can be added to an object or sub-object selection through the use of UVW Mapping modifiers.

Change the texture placement

  1. Click the Modify panel.

    The modifier stack shows that a UVW Mapping modifier is already applied to the Generator Housing Left object.

  2. Expand UVW Mapping by clicking the black box with the plus sign. Then select the Gizmo in the modifier stack.

  3. On the main toolbar, click Select And Move, then move the UVW Mapping gizmo in the viewport. Move it down along the Z axis and back along the Y axis so that the crease in the texture lines up with the beveled edge of the base.

    Adjust the UVW Mapping gizmo

Copy and paste the mapping modifier

  1. In the modifier stack, click the UVW Mapping modifier, then right-click.

  2. Choose Copy from the right-click menu.

  3. In the viewport, select the object Generator Housing Right Instance.

    The modifier stack for the Generator Housing Right Instance is now displayed.

  4. In the modifier stack, right-click over Editable Mesh, and choose Paste Instanced.

    The UVW Mapping coordinate is applied to the selected object.

  5. In the Material Editor, with the blasted metal material selected, click Apply.

    UVW Mapping applied to both sides

    The blasted metal material is visible on the entire generator housing now.

    Since you used Paste Instance, if you make a change to either gizmo, both will update.

    Tip: If you try to select an object but you cannot, you probably still have the gizmo sub-object selected. When a sub-object is selected, you can't make another object selection until you turn off sub-object selection. Click UVW Mapping to get out of sub-object level, and then you will be able to select the object you want.

  6. Repeat this process of applying material and pasting mapping for the other housings in the power charger, except use Paste, instead of Paste Instanced.

    Tip: Using Paste will let you adjust mapping coordinates independently for separate objects.

    Mapping and materials on all the housings

Apply mapping coordinates to cylindrical objects

Here you will apply cylindrical UVW mapping to the cylinders in the scene. You'll see how mapping coordinates are applied using the Modifier menu.

  1. Select the Cylinder08 object in the viewport.

    This is the cylinder that connects the no-hole housing to the one hole housing, as shown in the following illustration. If you hold your cursor over the object for a moment, a tooltip with the object name will appear. This way you can see what you are selecting.

  2. Click when you see the name Cylinder08 appear.

  3. From the Modifiers menu, choose UV Coordinates > UVW Map.

  4. On the Modify panel, in the Parameters rollout, change the Mapping value to Cylinder.

    A cylindrical mapping coordinate is applied to the object. If you want to see the mapping gizmo better, right-click the Perspective viewport label and choose Wireframe. Change it back to Smooth+Highlights after you've seen the gizmo.

    Cylindrical mapping gizmo with wireframe shading

Adjust map tiling

You can create some interesting effects by repeating or tiling the texture on the objects.

  1. Create a new material, by clicking New in the Material Editor

  2. Name the new material breadpan.

  3. Click Open New Map file, and then choose breadpan_sq.bmp.

  4. Apply the material to the Cylinder08 object.

  5. On the Modify panel, use the spinners to increase the V Tile value to 10. Watch the viewport as you increase the value with the spinner.

    Textures tiled to create stripes

  6. Repeat the process on the Cylinder01, Cylinder02, and Cylinder07 objects.

    You'll have to paste the mapping and apply the material to each one.

    Power Charger with tiled materials

    Next you will use the Material Navigator to browse and test different textures on the turret and barrel.

Using the Material Navigator


Using the Material Navigator

The Material Navigator lets you browse Materials from a variety of sources. It's a great way to look at all the pictures in a directory, and it's simple to drag and drop bitmaps from the navigator onto geometry in the viewport.

Drag textures onto objects

Now that you understand a bit about materials and textures, here's a fast method to apply textures to objects. You can browse collections of bitmaps, and then drag them directly from the Material Navigator.

  1. In the gmax Material Editor, click the Material Navigator button.

    The Material Navigator is displayed.

  2. In the navigator, in the Browse From group, choose File System.

  3. Browse to gmax\tutorials\materials directory.

  4. Stretch the browser window out, so it covers the top and left viewports.

    Now you can see most of the bitmaps in the Materials folder.

  5. Fromthe Thumbnails menu, choose Large Thumbnails.

    The Thumbnail images of the bitmaps are now displayed larger.

    Larger thumbnail image

  6. Locate the bitmap rustypanel3.jpg and click to select it.

    Tip: If you double-click it, a still larger image still appears.

  7. Drag the texture from the Material Navigator to one of the power-charger housings.

  8. Drag the same texture to another power charger housing.

    You don't have to select the object in advance, you can just drag the texture to any object in the scene.

  9. Drag the rustypanel texture onto the other housings.

    Textures dragged from Material Navigator directly onto objects

Drag multiple textures onto a single object

You can add multiple textures to a single object by using the same drag-and-drop method you just learned. The only difference is that you will first go to the sub-object level and select the polygons before you drag the texture.

  1. Make the Material Navigator smaller, so you can see the Left viewport.

  2. Activate the Left viewport and zoom in to the turret and the barrel at the end of the power charger.

  3. Right-click the Left viewport label, and change to Wireframe shading.

  4. Select the turret object, which is named Sphere01.

  5. In the Modify panel, expand the Sphere01 object if necessary, then choose Polygon in the stack.

    Tip: You can move the the Polygon sub-object level by either clicking Polygon in the stack, or clicking the Polygon button in the Selection rollout. These do exactly the same thing.

  6. On the main toolbar, press and drag downward on the Rectangular Region Selection button to reveal the Selection region flyout. Choose the Fence Selection Region, the one at the bottom of the flyout.

  7. Before you start selecting, click the Crossing Selection button in the status bar. When you click it, it changes to Window Selection. This is useful when you use Fence selection, because only polygons completely within the fence will be selected. This prevents you from unintentionally selecting other polygons.

  8. Using Window Selection, click points to create a fence around the turret. Begin by dragging, then click to set point.

    Using fence selection

  9. Now you can drag another texture onto these polygons. Try dragging lasagna_pan_offsq.jpg onto this selection.

  10. Select only the ring at the very end of the gun barrel and drag a texture onto that. Repeat for the barrel between the ring and the turret.

    Tip: You can put different UV coordinates on these polygon selections. Try it!

    Multiple textures applied to a single object

    You have just created a Multi-Material, which is a material that consists of several different materials. You can see this in the gmax Material Editor by doing the following:

    • In the Selection rollout click Polygon again to turn it off.

    • Select the Sphere01 object, which is the turret, barrel and endring.

    • Click get in the Material Editor.

      Two new fields appear in the material editor, the Multi-Material field and the Sub-Material field. Here you can rename the textures you dragged with appropriate material names, like lasagna pan, etc.

      Multi-Material and Sub-Material fields appear.

  11. In the Material Navigator the Multi/Sub-Object material is displayed as a sphere with several different materials applied in a checkerboard pattern.

    Multi/Sub-Object material in the Material Navigator

Save your work

Save your work, don't forget to do this every so often.

  • Choose File > Save and name the file mytextured_powerbase.gmax.

    Tip: There is an automatic backup feature already enabled that is saving your work to a file in the autoback directory. If you forget to save, try loading the scene files from the autoback directory. You can change the frequency or number of backup files saved by using Customize > Preferences > Files > AutoBackup.

Archive your work

Archiving is different that saving your work. When you archive, a ZIP file is created that includes the scene file and all the textures used in the scene. This is handy if you need to move the scene to another machine or send it to a friend.

  1. Choose File > Archive.

  2. Browse to a directory where you want to store the .zip file

  3. Name the file mypowerbase.zip and click OK.

    A ZIP archive file is created in your chosen directory. All the bitmaps and the scene files are compressed together into a single file.


Creating Animation

In this tutorial, you'll learn to animate basic transforms, making objects move and rotate. You’ll learn how to freeze objects so that you don’t accidentally select them when you’re trying to select other objects.

The scene you’ll be working on is a terrain with four missile silos, an outpost building, a power charger, and a character named Gauss. You’ll animate a hatch opening and a missile flying out of one of the silos. You’ll animate the power charger rotating away from Gauss, and Gauss moving after being “charged”. You’ll also animate a camera in the scene.

This is an intermediate tutorial. Some familiarity with navigation controls would be useful. If you've never used gmax before, we recommend you begin with Getting Started with gmax.

Finding the Files

Most of the tutorials ask you to begin by loading a starting file. You will find these files in the subdirectories under gmax\tutorials. These scene and map files are not installed as part of the basic gmax install. You get these files when you download and install gmax_tutorials.exe. If you can't find a file, trying searching for it using Windows Explorer or My Computer; you may have inadvertently installed the files to a different location.

In This Tutorial

Getting Started

Animating the Charger and the Character

Animating the Camera


Getting Started

In this lesson, you’ll animate the silo hatch opening, and the missile launching.

Freeze the terrain

When you’re animating an object, it often helps to freeze other objects. This way you don’t accidentally select the wrong object.

  1. Load the file start_animation.gmax.

    There are four views of the scene. You’ll expand the User viewport and freeze the terrain object.

  2. Right-click inside the User viewport to activate it.

  3. On the status bar, in the navigation controls area, click the Min/Max Toggle button to maximize the User viewport.

  4. Move your cursor over the objects in the scene. When you stop moving, after a pause a tooltip appears with the name of the object the cursor is over. When the tooltip displays terrain, click to select the terrain object.

  5. Right-click over the terrain object and choose Freeze Selection from the quad menu.

    The tooltip no longer displays, and you can’t select the terrain.

Animate the hatch opening

To animate an object, you turn on the Animate button and then advance the time slider to another point in time, or keyframe. Then you move, rotate, or scale the object. The software calculates the changes for the frames in between the keyframes.

  1. Turn on the Animate button.

  2. Drag the time slider to frame 50.

  3. Click the top of the missile silo to select the object called hatch.

  4. Right-click over the hatch object and choose Rotate from the quad menu.

    You can also click the Rotate button on the main toolbar to activate Select and Rotate.

  5. Place the cursor over the X axis of the transform gizmo and then drag down to open the hatch. Rotate the hatch 100 degrees to open it.

    Tip: To see the angle of rotation look at the X field in the status bar as you drag down. If you want, you can enter 100 in this field, instead of rotating using the mouse.

  6. On the status bar, click Go To Start, and then click Play.

    The hatch slowly opens, revealing a missile inside.

Animate launching the missile

You’ve animated a rotation transformation with the hatch; now you’ll animate a move transformation with the missile.

  1. Click the Min/Max Toggle button to minimize the view.

  2. In the Left viewport, change to a Wireframe view. Do this by right-clicking the viewport label and choosing Wireframe from the pop-up menu.

  3. Maximize the Left viewport.

  4. Zoom the view back until the entire terrain is visible.

  5. Press the H key, and choose the missile in the Select Objects dialog.

    The wireframe of the missile turns white to show it’s selected. The hatch is not fully open until frame 50, so the missile should take off at frame 50. You’ll set a key at frame 50 and another at frame 100.

  6. Press the SPACEBAR on the keyboard to lock the selection.

    Now you won’t accidentally select another object while you’re animating the missile.

  7. Make sure the time slider is at frame 50 and that the Animate button is turned on.

  8. On the Motion panel > PRS Parameters rollout > Create Key group, click Position.

    A key appears at frame 50 on the track bar.

  9. Advance the time slider to frame 100.

  10. On the main toolbar, turn on Select And Move.

  11. In the Left viewport, drag along the Y axis to move the missile upward.

  12. Minimize the Left viewport.

  13. Right-click the Camera viewport to select it, and click Play.

    The hatch slowly opens and the missile takes off.

  14. Activate the Left viewport and play the animation again.

    This time the animation plays much faster. The animation playback can be slower when the viewport is set to Smooth+Highlights shading.

  15. Save your work as myanimation1.gmax.

Animating the Charger and the Character


Animating the Charger and the Character

In this lesson, you’ll animate the charger rotating away from the Gauss, and Gauss reacting.

Hide objects you’re not working with

First you’ll hide some of the objects in the scene to make it easier to animate the power charger and the Gauss character.

  1. Load animation2.gmax.

  2. In the main toolbar, click the down-arrow by the Named Selection Sets, and choose outpost with missle from the list.

    The level becomes selected. In this file there are already several named selection sets.

  3. Right-click over the selected objects, and choose Hide Selection from the quad menu.

    The selected objects disappear. The power charger and Gauss remain very small in the viewports.

  4. In the viewport navigation controls at the bottom right corner of the interface, click the Zoom Extents All button.

    The selected objects are now larger in three of the viewports. The Camera viewport is not affected by Zoom Extents All.

Rotate the power charger

  1. Maximize the Perspective viewport.

  2. Select the object named power conduit base. It is the cylinder that connects the generator housings to the two hole housings.

  3. Right-click and choose Rotate from the quad menu.

  4. Advance the time slider to frame 50.

  5. Turn on the Animate button if it isn't already on.

  6. Move your cursor over the transform gizmo. When the X axis turns yellow, press the mouse button down and move to the left to rotate the charger assembly away from the character.

  7. Click Play.

    The power charger rotates away from the character. Now you’ll animate Gauss.

Animate the Gauss character

The Gauss character is a single skin object with bones placed inside the skin to animate the character, as described in the tutorial Rigging a Character. To select the bones without accidentally selecting the skin you’ll freeze the skin object.

  1. Click the Zoom button in the viewport navigation controls. Hold down the CTRL key and zoom into the Perspective viewport so you have a closer look at the character.

  2. Use Arc-Rotate or Pan as necessary for a clear view of the character.

  3. In the viewport select the object called gauss.

    Tip: If you place the cursor over an object for a short time, a tooltip appears with the name of the object.

  4. Right-click and choose Freeze Selection from the quad menu.

    The mesh turns a different color, and the mesh is frozen. Now it’s time to animate Gauss. To animate the character you’ll turn on the Animate button and move the limbs (bones) to different positions at various frames. You will animate Gauss reacting to being freshly “charged”.

  5. Drag the time slider to frame 15.

  6. Make sure the Animate button is on.

    The Animate button and track bar turn red when Animate is on.

    There is a circle, named hoop, around Gauss which is linked to the pelvis object. You’ll rotate hoop to make Gauss lean forwards. The circle exists to simplify the procedure to select and rotate Guass’s pelvis.

  7. Select the object hoop.

  8. Rotate about the X axis to make Gauss lean forward.

  9. Scrub the time slider to frame 20, and rotate the hoop object about the X axis to straighten up the character again.

  10. Select the object Dummy01 in the pelvis area and move it down.

    If you can’t locate Dummy01 in the viewports, click the H key and select the object from the list in the Select Objects dialog.

    Gauss crouches down.

  11. At frame 20, on the main toolbar click Select And Rotate, then change the Reference coordinate system to Local.

  12. Rotate each arm object so it appears more relaxed. First, rotate the upper arm objects (Bone 12 and Bone 19) about the local Z axis, and then rotate the two forearms about the Y axis so they swing forward a little.

  13. Click Play to view the animation so far.

    Guass falls away from the charger, his knees bend, and his arms fall to his sides.

  14. Advance the time slider to frame 25.

  15. Move the Dummy01 object upwards to straighten out the legs.

  16. Rotate the arms so that Gauss raises his elbows a bit at the end.

  17. Click Play to view the animation.

  18. Save your work as myanimation2.gmax.

Animating the Camera


Animating the Camera

Animating the camera is just like animating an object. You turn on the Animate button, move the time slider to a different frame, and then move the camera.

In this camera move you’ll see the charger and Gauss reacting to the charge, and then you’ll pan the camera to the missile launch.

Display the camera

  1. Load the file animation3.gmax.

    There is already a camera in this file but it's hidden. You can unhide the camera using a keyboard shortcut.

  2. Hold down SHIFT and press the C key.

    The camera and camera target appear in three of the viewports. The view through the camera is displayed in the viewport labeled Camera01.

    Camera icon appears in viewport.

    View through the camera

  3. Move the time slider to frame 25.

  4. Turn on the Animate button.

  5. On the main toolbar, on the Selection Filter drop down list, choose Cameras.

    This prevents you from selecting something other than the camera and camera target. This is an alternative to hiding and freezing objects to prevent accidentally selecting the wrong object.

  6. In the Top viewport select the camera target. Click the end of the camera icon near the center of the screen.

    The Camera icon changes and now displays a field-of-view cone in the viewport.

    Camera display includes field-of-view cone.

    You're going to animate the camera target to see the missile takeoff. First you will set a key at frame 25. This is where the movement of the camera target will start.

  7. Right-click the time slider where it reads 25/100.

    The Create Key dialog appears.

  8. Turn off Rotation and Scale, and then click OK.

    A key appears on the time line for the camera target.

  9. Move the time slider to frame 40 by entering 40 in the Keyframe box to the right of the Animate button and pressing ENTER.

    This is a fast way to move to exact frames in time.

    .

  10. Move the camera target on the XY plane in the direction of the silo that contains the missile, in the lower left of the viewport if your looking from a Top view. Use the yellow Transform gizmo corner to move the camera target. The corner is diagonally across from the center of the gizmo. Just like the Transform gizmo, axis labels let you move in only one direction at a time, the transform corners restrict your movement to a single plane.

    Yellow corners move in X and Y planes simultaneously.

    The camera view is looking at the ground. You’ll need to tilt the camera up to see the missile launch. There are two ways to tilt or pan the camera up. One way is to move the camera target in the viewports upwards. The other way is to use the navigation controls to tilt the camera up.

  11. Right-click the Camera viewport to activate it.

  12. In the camera navigation controls, click and hold the Orbit Camera button to display the flyout.

    Camera Pan/Orbit flyout

  13. Choose Pan Camera from the flyout.

  14. Drag in the Camera viewport to pan the camera up to see the missile silo. You have just added a keyframe to the camera target, simply by moving it while the Animate button is on.

    Camera panned at frame 40

  15. Click Play to view the animation.

    In the first 25 frames, you see Gauss getting charged, then the camera pans over for the missile launch.

  16. Move the time slider to frame 60 and pan the camera upward again to follow the missile into the sky.

    The camera panned at frame 60 to follow the missile.

  17. Click Play to view the animation.

  18. Move the time slider to frame 90, and pan the camera again, so the missile is in view.

  19. Save your work to myanimation4.gmax.

  20. Load animation4.gmax to view the completed animation, if you like.


Modeling a P-38 Lightning Fighter

Lockheed P-38 Lightning model

In this tutorial you will create the exterior of a WWII classic warplane, the Lockheed P-38 Lightning. You'll use primitive objects and modifiers to create the parts. You'll use viewport background bitmaps as a guide to shape your plane.

Note: This tutorial is a basic tutorial, but we suggest that you do this after completing the Getting Started tutorial. You'll need to know how to select objects and vertices and navigate around the viewports.

Finding the Files

Most of the tutorial topics ask you to begin by loading a starting file. You will find these files in the subdirectories under gmax\tutorials. These scene and map files are not installed as part of the basic gmax install. You get these files when you download and install gmax_tutorials.exe. If you can't find a file, trying searching for it using Windows Explorer or My Computer; you might have inadvertently installed the files to a different location.

Note that this tutorial is an exception, in that it doesn't ask you to load many starting files, due to a peculiarity in the behavior of viewport backgrounds. It does ask you to load some bitmaps which you should find the gmax\tutorials\P38 directory.

In This Tutorial

Setting Up Units

Setting Up Viewport Backgrounds

Creating the Wings

Adding the Stabilizer and Rudders

Creating the Fuselages

Creating the Gondola


Setting Up Units

The first task is to change the modeling units to feet and inches. Since the P-38 is a vintage US plane, the specifications are in US standard measurement types. As a default, gmax is set to generic units, so you'll need to change this.

Set up units of measurement

  1. From the Customize menu, choose Units Setup.

    The Units Setup dialog appears.

  2. Choose US Standard, then click OK.

    Now when you create anything, the dimensions will be displayed in feet and inches.

  3. In the Create panel, on the Object Type rollout, click Cylinder.

    Look at the Parameters rollout; the values are now displayed in feet and inches.

    The next step is to set up the viewport backgrounds.

Setting Up Viewport Backgrounds


Setting Up Viewport Backgrounds

You can load images or drawings in viewport backgrounds to use as patterns for building your warplane. Each viewport can have its own background, so you can load a corresponding image in the Front, Side, and Top viewports to guide you as you build the model.

In general, when modeling something you've previously visualized or seen, it's best to start with sketches from several different viewpoints, such as top, side, and front. Also, the drawings should all be to the same scale, if possible. In this exercise, you'll use three drawings of an P-38 Lightning taken from WWII plane-spotting cards.

Three views of the P-38 Lightning from plane-spotting card

Set up viewport backgrounds

  1. Activate the Top viewport.

  2. On the menu bar, choose Views > Viewport Background.

  3. In the Viewport Background dialog's Background group, click Files.

  4. Navigate to the \gmax\tutorials\p38 directory and choose p38topview.jpg.

  5. In the Aspect Ratio group, choose Match Bitmap. Click Apply.

    A sketch of the top view of the fighter is visible in the Top viewport.

    Top viewport displays the Top view background image.

  6. Click OK to close the Viewport background dialog.

  7. Turn off the grid display by pressing the G key.

  8. Choose Views > Viewport Background to again open the Viewport Background dialog.

  9. In the Apply Source And Display To group, click the arrow by the Viewport field, and choose Left.

    The Left viewport should become active.

  10. Click Files and choose p38leftview.jpg for the Left viewport. Again, choose Match Bitmap. Click OK. Turn off the grid display again.

    Top and Left viewports with background images

  11. Click the Front viewport, then choose Views > Viewport Background. Click Files again and choose p38frontview.jpg for the Front viewport. Choose Match Bitmap, then click OK. Turn off the grid display.

    The three images are displayed in the appropriate viewports

Zoom the background images

You can zoom and pan the background images in the viewport if you want to center or enlarge them. To zoom or pan the background images do the following:

  1. Activate the viewport, then choose Views > Viewport Background.

  2. Make sure Match Bitmap is on, then turn on Lock Zoom Pan.

    Now you can use the zoom or pan buttons in the viewport navigation controls to make the background image larger or shift it horizontally or vertically.

  3. Be sure to turn Lock Zoom Pan off when you finish with each image.

    Tip: gmax automatically turns on Lock Zoom Pan when you maximize a viewport or save your work and exit the program. Sometimes the background image can shift out of alignment with your geometry when this happens. This is inconvenient, but there is a workaround.

    If you open up a saved file and the background has shifted do the following:

    • Use the viewport navigation Zoom and Pan buttons to make the background images the correct size and position in the viewports.

    • Turn off Lock Zoom Pan, and then use the same navigation tools to align the geometry with the bitmaps.

      You can use CTRL+ALT+B to toggle Lock Zoom Pan.

    • After doing this, don't maximize, zoom, or pan the viewport.

      Turning display of the Tab panel on or off can also cause viewport backgrounds to shift.

      Next you will make a calibration box, to make sure the 3 viewports are in the same scale, and that the plane will be an appropriate size .

Calibrate the viewports

The P-38 has a wingspan of 52 feet, and a length of 37’10". With the wheels extended, it has a height of 9'10". You'll use this information to make a box of that size, then align the viewports to that box.

  1. Activate the Top viewport.

  2. In the Create panel, on the Object Type rollout, click Box.

    The Box button turns orange to show it's active and ready to create.

  3. Open the Keyboard Entry rollout, and enter the following values:

    • Length: 37'10"

    • Width: 52'0"

    • Height 9'10"

      Tip: You can use the Tab key to move from one field to the next.

  4. Once these values are entered, click Create.

    A box appears in the viewports.

  5. In the command panel, name the object calibration box.

  6. In the viewport navigation controls at the bottom-right corner of the interface, click Zoom extents all.

    The box is now visible and centered over the three background bitmaps. It doesn’t matter if your box is a different color than the one in the illustration.

    Calibration box centered over the background images

    Now starting with the Top viewport you will zoom and pan each view to match the box and the bitmap background.

  7. In the viewport navigation controls, click Zoom. Zoom the Top viewport until the width of the box matches the width of the wings. Match the wingspan as closely as you can.

  8. Click Pan in the viewport controls, and then pan the viewport to center the box over the bitmap vertically. It won't be perfect, the two rudders will extend slightly beyond the calibration box.

    Top viewport aligned with calibration box

  9. Zoom the Front viewport. Again match the wingspan first using zoom, then pan to adjust the vertical height. You'll have to imagine where the wheels should be, they aren't illustrated in the plane-spotting card.

    .

    Front viewport aligned with calibration box

  10. Now repeat for the Left viewport.

    Left viewport aligned with calibration box

    All three viewports are now calibrated so the picture in the viewport represents the approximate dimensions of the P-38.

Hide the calibration box

  1. You don't need the calibration box now, so you can hide it. To do so, select the box in any viewport, right-click, and then choose Hide Selection from the quad menu.

    You can always unhide the calibration box and repeat the above procedure to recalibrate. To unhide the box, go to the Display panel and choose Unhide By Name, then in the dialog, select the box.

  2. Save your work as myp38_backgrounds.gmax.

Creating the Wings


Creating the Wings

There are many different modeling approaches you could take to building the wings. Here, you'll use a Box primitive with a Taper modifer. You'll be continuing from the previous section, Setting Up Viewport Backgrounds.

Create the wings using a box

  1. In the Create panel, on the Object Type rollout, click Box.

  2. In the Top viewport, do the following to draw a box from upper left to lower right, approximately around the front wingspan:

    • Click once at the upper left, then drag to the lower right with the mouse button down. As you move the mouse, the values for length and width change in the parameter fields.

    • When you release the mouse button, you have set the length and width of the box, and now are setting the height, which you can see increasing in the Perspective viewport. Moving the mouse up creates a positive height, moving down creates a negative height. As you move the cursor the values change in the parameter fields.

    • Click again to set the height.

  3. In the Create panel, you can immediately adjust the values in the Parameters rollout. Enter the following values:

    • Length Segs=3

    • Width Segs=12

    • Height Segs=3

      Box with 12 width segments

      You need to increase the number of segments so the modifiers for tapering and bending the wings will work correctly.

  4. You can also make adjustments to the dimensions of the box at this time. Edit the Width so it is exactly 52’, Length so it is 10’, and make the wings’ height an even 1 foot.

  5. In the Name and Color rollout, type wings.

    The object is now named wings.

    Now you'll change the shape of the wings using a Taper modifer.

Add a taper modifier

  1. Activate the Top viewport, and make sure the wings are selected.

  2. From the menu bar, choose Modifiers > Parametric Deformers > Taper.

    An orange taper gizmo appears in the viewport over the box.

  3. On the command panel, in the Taper Axis group, change the Primary value to X.

  4. In the same group, turn on Symmetry.

  5. Set the amount of the taper to -1.3.

    Now the box is starting to resemble the wing shape.

    Next you'll move the Taper Center to affect the wing’s shape.

  6. In the modifier stack display, expand the Taper hierarchy by clicking the box marked with a plus sign. When the Taper expands, click Center.

    At the Center sub-object level, you can adjust the location of the center of the Taper. Moving a modifier’s center can alter its results.

  7. In the Top viewport, move the center of the taper forward along the Y axis toward the nose of the plane, until the wings’ shape more closely matches the background bitmap.

  8. When you've finished moving the center, click Taper in the modifier stack to turn off the Center sub-object selection.

  9. The Taper has affected the height of the wings. In the modifier stack, click Box, then increase the wing height to 1’5".

  10. In the Front viewport, move the wings up so they are centered over the background bitmap.

    Move the wings up in the Front viewport.

    Next you'll convert the box to an editable polygon object, and then move some vertices to round the wings.

Convert the box

  1. Save your file as my_p38_wings.gmax.

    It's good to save your file before you convert your object. Since the conversion removes the stack parameters, saving will allow you to return to this point in the future.

  2. In any viewport, select the box.

  3. Right-click and choose Convert to: > Convert to Editable Poly.

    The box is now an editable poly object.

Round the wingtips

  1. In the Selection rollout on the command panel, click Vertex.

    Look at the box in the top viewport with vertex selection on. Each dot you see is actually four vertices lined up on top of each other. So when you want to select and move them, you need to drag a selection window, rather than clcking them. Otherwise you will only select one vertex, rather than all of them.

  2. In the Top viewport, draw a selection rectangle to select the vertices in the upper-left corner of the wing.

    Use a selection rectangle rather than clicking.

  3. On the main toolbar, click Select And Move. Then move the vertices in the top view so the ends of the wingtips are rounded. Use the Transform gizmo to restrict the vertex movement to a single axis or plane.

    Move vertices to round wings.

  4. Now, in the Top viewport, slowly go around the outline of the wing moving the blue dots to within the black shape of the P-38 wingspan. Use the Transform gizmo’s Y arrowhead to move the vertex selection only in Y. Use the Transform gizmo corners to move the points at the end to create the rounded wingtip.

    The wings need have their edges tapered and narrowed. Here's the process to do this.

Taper the wing edges

In the top viewport you need to select all the vertices on the outside edges of the wings. You can accomplish this by using the selection rectangle with the CTRL key.

  1. Hold down the CTRL key and use the selection rectangle to slowly build up the selection set, as in the following illustration:

    Select these red vertices on the exterior edges of the wings.

  2. Click Lock Selection on the status bar or press SPACEBAR to lock the vertex selection.

    This prevents you from losing the selection if you inadvertantly click elsewhere in a viewport.00

  3. On the main toolbar, expand the Scale flyout, and choose Non-Uniform Scale.

  4. In the Left viewport, scale all the edges about the Y axis, so the wings are narrowed. Use the Transform gizmo, when the Y turns yellow, you are scaling only along the Y axis.

    Watch the status bar while you scale. It changes as you move the mouse. Scale to 30 (percent).

    Narrow the edges using Non-Uniform Scale.

  5. Turn off Lock Selection.

    Next, you'll add a Bend modifier to the wings.

Add a Bend modifier

  1. In the Selection rollout, click Vertex to turn it off.

  2. Click the arrow to the right of the Modifier List. In the drop-down list, find the Parametric Modifiers group, and choose Bend.

  3. Set the Bend Axis to X.

  4. Change the Bend Angle to -15.

    Bend the wings up.

  5. Just for fun, spin the Direction spinner. Watch the wings stroke in the air. Right-click or press CTRL+Z to undo when you're done having fun.

  6. Save your work as myp38_wing.gmax.

    Next, you'll add the stabilizers and rudders. These are easy to do.

Adding the Stabilizer and Rudders


Adding the Stabilizer and Rudders

Continue from the previous lesson, Creating the Wings.

The next step is to add the horizontal stabilizer and the twin rudders. You'll use cylinders and editable poly techniques to build these pieces.

Add the horizontal stabilizer

  1. Click the Top viewport to activate it.

  2. In the Create panel, click Cylinder.

  3. In the Top viewport, drag out a cylinder in the center of the horizontal stabilizer. When you release the mouse button, you are setting the height of the cylinder. Moving the mouse upward gives a positive height; moving it downward gives a negative height. Give it a positive height.

    Create a cylinder to make the stabilizer.

  4. Edit the Parameters, as follows:

    • Radius=2'2"

    • Height=0'2"

    • Height Segments=1

    • Sides=12

  5. In the Name and Color rollout, type stabilizer.

    Naming your objects proves useful later.

  6. Right-click the cylinder and choose Convert to: > Convert to Editable Poly.

  7. In the Modify panel, on the Selection rollout, click Vertex.

    Now the vertices are visible in the cylinder.

  8. Select half the vertices, and move them to the right. Select the other half of the vertices and move them to the left.

    Move the vertices to match the top view of the stabilizer.

  9. Click Vertex selection again to turn it off.

  10. In the Left viewport, raise the stabilizer up so it is at the correct height.

    Raise up the stabilizer.

    Wingspan and stabilizer in Perspective viewport

    Next, you will make the twin rudders.

Create the twin rudders

Again you'll use cylinders converted to editable poly objects. In this case, you'll use the soft-selection feature when you select and move vertices.

  1. Click the Left viewport to active it.

  2. On the Create panel, turn on Cylinder.

  3. In the Left viewport, draw a cylinder over the rudder.

    Start with a cylinder to make the rudder.

  4. Change the cylinder Height parameter to 2".

  5. In the Name And Color rollout, enter the name rudder.

  6. Click the Modify panel tab, and then right-click the Cylinder in the modifier stack. Choose Convert To: Editable Poly.

    The modifier stack no longer shows the cylinder; it now shows Editable Poly instead.

  7. In the Selection rollout, click Vertex.

  8. In the Left viewport, drag a selection window around the top vertices.

    There is a single red dot in the viewport.

    Select the top vertex

  9. Open the Soft Selection rollout, and turn on Use Soft Selection.

    Now the red dot is flanked by yellow dots.

    Soft Selection display

  10. In the Soft Selection rollout, increase the Falloff value to 5'.

    The selection expands in the viewport.

  11. Using the Transform gizmo, move the selection upward to shape the rudder.

  12. Select the bottommost vertex, and move it down to finish the shape.

  13. In the modifier stack, click Editable Poly to turn off sub-object selection.

  14. In the Top viewport, select and move the rudder to the left into position.

Clone the twin rudder

You can create a clone by holding down the SHIFT key while you move, rotate, or scale any object. Here, you'll make the twin rudder using this clone feature.

  1. Hold down the SHIFT key, and move the rudder to the righthand position.

    The Clone objects dialog appears.

  2. Name the object starboard rudder and click OK.

    The second object is visible in the viewports.

    Wings, stabilizer, and twin rudders

  3. Save your work as myp38_02.gmax.

    The next step is to create the twin fuselages that hold the engines and the fuel tanks.

Creating the Fuselages


Creating the Fuselages

The P-38 was a deadly aircraft because it had twin fuselages, each housing an engine and a fuel tank. The warplane could sustain damage to either side, and still fly, thus presenting a formidable challenge to an opponent in a dogfight. In this section, you'll model the twin fuselages using the same techniques you've already practiced on the wings. You'll also use the Extrude and Bevel features to create the engine coolant radiator housings.

Create the fuselage

  1. Continue from the previous lesson, Adding the Stabilizer and Rudders.

  2. On the Create panel, click Cylinder.

    The Cylinder button turns orange, showing it is active and ready to use.

  3. In the Front viewport, drag a cylinder out over the left fuselage so the radius approximates that in the background image.

    Don't worry about the height, you'll adjust that in a moment. Set the height to any value. It doesn't matter.

  4. Edit the Cylinder parameters, as follows:

    • Radius=1'10"

    • Height=33'7"

    • Height Segments=6

    • Cap Segments=1

    • Sides=10

  5. In the Name and Color rollout, enter the name of the object as supercharger.

  6. In the Top viewport, move the cylinder so it is over the left fuselage.

  7. Go to the Modify panel. From the Modifier List, find the Parametric Modifiers group, and choose Taper.

  8. In the modifier stack, expand the Taper hierarchy so the Center and Gizmo are visible, then click the Center to select it.

  9. In the Top viewport, move the center so it is at the front of the cylinder.

  10. In the stack, click Taper to turn off sub-object selection.

  11. Now adjust the taper Amount to 0.8.

    Tapered fuselage aligned with background image
    (The front of the fuselage is just behind the rounded propellor hub.)

  12. In the Front viewport, rotate the fuselage about its Y axis so the left and right sides are vertical.

    To further shape the fuselage, you'll repeat the same technique as before. Convert to Editable Poly, then select rows of vertices and move them into position over the background image.

Add the propeller hub spinner

The propellor hub cap is called the spinner, and you'll create this component using a hemisphere and AutoGrid at the end of the cylinder.

  1. Zoom into the Perspective viewport so you have a close view of the front end of the cylinder. Right-click the viewport label, and set the shading mode to Smooth+Highlights and Edged Faces.

  2. Go to the Create panel. In the Object Type rollout, click to turn on Sphere.

  3. Turn on AutoGrid, the check box below Object Type. Now move your cursor over the surface of the end of the cylinder.

    An axis tripod follows your cursor, showing you where the sphere will be drawn.

  4. In the Parameters rollout, turn on Base To Pivot.

    This lets you draw a sphere off the end of the cylinder.

  5. Move your cursor over the end of the cylinder, and draw a sphere.

    It doesn't matter what size; you will adjust the parameters after you draw it.

  6. Edit the Parameters, as follows:

    • Segments=10

    • Hemisphere=0.5

      Now instead of a sphere, there is a hemisphere.

  7. Rotate the hemisphere so the ten segments of the cylinder and the hemisphere are at the same angle.

  8. On the main toolbar, click the Align button, then click the cylinder. In the Align Position (World) group, turn on X Position and Z Position. This aligns the hemisphere and the cylinder.

  9. Adjust the radius of the hub so it matchs that end of the cylinder. Don't spend too much time on this, it's all going to change in a few steps.

    Spinner hub aligned to the end of the fuselage

Finish the fuselage shape

  1. Select the fuselage cylinder object and right-click. Choose Convert To: > Convert To Editable Poly from the quad menu.

  2. In the Selection rollout, click Vertex.

  3. In the Left viewport, select a column of vertices and then on the main toolbar, choose Non-uniform scale from the scale flyout. Non-uniform scale them closer together, watching the bitmap as a guide. Then right-click, choose Move from the quad menu, and position the row.

  4. Repeat this process for all seven columns of vertices in the Left viewport, so the outline of the fuselage matches the background more closely.

    Select one column at a time, scale, then move.

  5. Click the Vertex selection button to turn it off, then select the hemisphere in the viewport.

  6. Move the propellor spinner away so you can see the end of the fuselage.

  7. Select the cylinder again and turn on Vertex selection.

  8. Select the vertices in the end of the cylinder and non-uniform scale them about the X axis only. Use the Transform gizmo X arrowhead, and watch the coordinate display in the status bar. Scale down to 60 percent along the X axis.

    This returns the end of the cylinder to a more circular shape.

  9. Turn off sub-object selection by clicking Vertex again in the Selection rollout, then move the hemisphere back into place. Change its radius so it fits over the end of the fuselage again.

Finish the propeller spinner

  1. Collapse the hemisphere to an editable poly by right-clicking, and choosing Convert to: Convert to Editable Poly.

  2. In the Perspective viewport, select the vertex in the center of the hemisphere.

  3. In the Soft Selection rollout, adjust the Falloff so the second ring of vertices turns yellow, but the last rows do not. Move the selection forward along the Y axis.

  4. Lower the soft selection so only the vertex at the tip is selected, and move the tip forward to form the bullet shape.

    The fuselage is almost finished. There is a blister on either side of the fuselage that serves as the exhaust waste gate outlet. You'll create this next, using the Extrude and Bevel features.

Create the exhaust gate outlet

  1. Turn off Vertex selection for the propeller hubcap, and then select the fuselage.

  2. Turn on Vertex selection for the fuselage.

  3. In the Top viewport, select the third row of vertices from the top and move them down so they are at the end of the exhaust gate.

  4. Select the fourth row and move them up, so they are positioned at the start of the exhaust gate.

    Select and move these red vertices.

    The vertices now line up in the top view, but need adjustment in the left view.

  5. In the Left viewport, scale the selected vertices smaller along the Y axis, as necessary against the profile of the background image.

  6. In the Selection rollout, choose Polygon.

    This lets you select polygons instead of vertices.

  7. Select the polygons shown in the illustration below. Click to select the first polygon, then hold down the CTRL key. Right-click the Perspective viewport label, and be sure you have Smooth + Highlights and Edged Face chosen. You can also choose Configure and then in the Viewport Rendering options group, turn on Shade Selected Faces.

    Select this polygon.

  8. Use the Arc-Rotate button in the viewport navigation controls to see the other side of the fuselage, and select the second polygon.

    Add this polygon to the selection.

  9. In the Edit Geometry rollout, turn on Bevel, then move your cursor over the selected polygon in the Perspective viewport.

  10. Drag the bevel out so the Extrude field is approximately 0'6". When you release the mouse button, you are setting the Outline value. Create a Outline amount of approximately -1".

  11. Now select the newly created polygon at the front of the exhaust gate.

  12. Bevel this face inward, with the extrusion about -0'2", and the Outline very slight.

  13. Click Bevel again to turn it off.

  14. In the modifier stack, click Editable Poly to turn off sub-object selection.

    Next, you’ll clone the fuselage and spinner to make the second side.

Clone the fuselage

  1. Select the fuselage, if it isn't selected already.

  2. Hold down the CTRL key and click the propeller spinner.

    Now both objects are selected.

  3. In the Top viewport, hold down the SHIFT key and move the selected objects to the right.

    The Clone Options dialog appears.

  4. Name the clone starboard supercharger.

    Tip: Feel free to change the colors of all the objects so the plane looks more realistic.

    P-38 wings and twin engines

  5. Save your work as myp38_nogondola.gmax.

    All that remains is the central gondola and canopy.

Creating the Gondola


Creating the Gondola

The plane is starting to look like a P-38, but it's missing the central gondola, the pilot cockpit, and canopy. You will create the gondola using the same techniques you learned when you shaped the fuselage.

Load a start file

  • Continue from the previous lesson, Creating the Fuselages, or you can load gm_p38start_gondola.gmax found in the gmax/tutorials/P-38 directory.

    Note: If you load the file you will need to adjust the viewport backgrounds by following these steps:

    • Click in a viewport.

    • Zoom and pan until the background image is the appropriate size and position.

    • From the menu bar, choose Views > Viewport Background.

    • In the Current group, turn off Lock Zoom Pan, then click Apply and OK.

    • Zoom until the scale of the geometry matches the size of the background image.

    • Pan to align the geometry with the background image.

    • Do this for the Top, Front, and Left viewports.

Create the gondola

  1. Go to the Create panel, and on the Object Type rollout, click to turn on Cylinder.

  2. In the Front viewport, drag out a cylinder over the gondola, until the radius approprimately matches the background image.

    Watch in the Top viewport as you drag out the height of the cylinder, since the Front viewport will not show any difference.

  3. Edit the Cylinders Parameters, as follows:

    • Height Segments=9

    • Cap Segments=2

    • Sides=10

  4. In the Name And Color rollout, name the object gondola.

  5. Move the gondola object in the Top viewport so the end lines up with the edge of the wing.

    Line up the cylinder with the rear edge of the wings.

  6. On the Modifiy panel, adjust the height of the cylinder so it is even with the end of the twin fuselages, as illustrated below.

    Start with a cylinder.

Shape the gondola

  1. Go to the Display panel, and hide everything but the gondola by clicking Hide Unselected in the Hide rollout.

  2. Go to the Modify panel. In the modifier stack, right-click Cylinder and choose Convert To: Editable Poly.

    Now you can reposition the vertices over the background images.

  3. On the Selection rollout, click Vertex.

  4. Now go one row at a time, in the Left viewport and do the following:

    • Select a row of vertices.

    • On the main toolbar, choose Non-Uniform Scale from the Scale flyout.

    • Scale them to the approximate size to match the background image.

    • Move them down to match the background image as well. Alternate between scaling and moving until they are correct.

      Scale and move the vertices to match the background.

      Placement of vertices from Left viewport

  5. Activate the Top viewport and repeat the previous process. Select one row at a time and position the vertices over the background image using Scale and Move tools. Using the Transform gizmo, scale each row only along the X axis.

    Vertex placement from the Top viewport

  6. In the Left viewport, scale columns of vertices to match the outline of the cockpit.

  7. To create the nose, select the single vertex at the center of the cylinder cap, then turn on Soft Selection and adjust the Falloff so the next ring of vertices turns yellow. Now move the soft selection out toward the nose. Turn off Soft Selection, and move the single end vertex to create the point.

  8. To unhide the rest of the airplane, on the Display panel, choose Unhide By Name. Select all the components you have created (everything except the calibration box).

  9. Change the color of the object to match the rest of the plane.

  10. Make adjustments as needed. Select the row of vertices at the rear of the gondola and move them up along the Z axis in the Perspective viewport, so the rear taper is visible above the wing.

    P-38 with gondola

Add the canopy

You can create the canopy using a couple of editable poly tools. You'll cut and chamfer to create the last piece of the P-38.

  1. In the Perspective viewport, zoom in so you can see a close view of the cockpit area.

  2. On the Selection rollout, click Edge, then turn on Ignore Backfacing.

  3. On the Edit Geometry rollout, turn on Cut.

  4. Cut new edges into the cockpit. Click to set the beginning of an edge, then move to mouse to draw the new edge. Click again to set the end of the edge.

    Cut these new red edges into the canopy.

  5. Click Cut again, to turn it off.

    You can chamfer edges to create the metal frame of the canopy.

  6. Select the edges above the forward windshields, as illustrated below.

    Select these red edges.

  7. In the Edit Geometry rollout, turn on Chamfer. Using the Chamfer spinner, increase the chamfer value while watching the viewport.

    This creates the metal windshield supports.

    Chamfer edges to create windshield supports.

  8. You can repeat this technique of cutting and chamfering as needed to finish the canopy. We won't walk you through every step, now that you know the technique.

    You can apply a transparent material to the canopy faces for extra detail. If you don't know how to create materials and appy them to polygons, see Adding Materials and Mapping .

    P-38 gondola with completed canopy.

    Of course there are lots more details you could add to this plane, such as propellers, machine guns, and landing gear. Feel free to continue on your own.

    Propellors and machine guns added

  9. Save your work as myp38.gmax. Or you can open the completed file p38_lightning.gmax.


Comments?

Using this form sends your comments to the Discreet Technical Publications group responsible for this documentation.

Topic title and location:
Name (optional):
Email:
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!